Introduction

Introduction – Productivity Manager Help (Version 4.00 – 19 September 2011)

Productivity Manager is a dynamic Management tool, designed to combine the essential attributes of a Diary (Appointments), Timesheet, Business Contacts and Company Resources. This combination allows close monitoring of daily performance for all users.

Productivity Manager can save your business thousands in improved efficiency and productivity of your employees and saves even more time in less hands-on management time being required. It allows you to know exactly what is going on in your business even if you’re not around!

This program helps manage employees, from junior clerks to senior managers, by controlling and managing all the hours they spend at work. Briefly, it consists of:

· A Personal Computer program that is licensed and paid for on a monthly basis (as opposed to a large purchase price up front).

· A Calendar

· A Diary for Appointments.

· A Tasks (To Do) list.

· An Address Book (Contacts List).

· A Notes function.

· A Daily Timesheet (completed Appointments)

· Comprehensive Time and Productivity Reporting, which includes Graphs.

You can Browse through this whole Help file by clicking the “<<Previous” and “Next>>” links on each page, like those below. Click on “Next>>” now for Important Notes on Productivity Manager Implementation:

For a list of the latest improvements in Productivity Manager, click here.


Overview

Important Notes on Productivity Manager Implementation

<<Previous – Next>>

The effect that the implementation of Productivity Manager will have on your company and the users should not be underestimated. The program is more profound than first meets the eye. Whilst the benefits to management in the form of improved controls and reporting functions are more obvious, the improved productivity of employees may initially be met with some resistance. Employees, especially the undisciplined ones, don’t generally like being managed so efficiently and tightly. They will find the program quite unforgiving and ruthlessly efficient at turning their performance into non-negotiable statistics for perusal by their supervisors.

Employees will now have to account for their time and productivity to an unprecedented extent. They are generally not used to this and some probably won’t like it that much. Employees are used to a new system or rule being implemented once or twice and never enforced by their manager again. This program enforces day in day out, year in year out, with pinpoint accuracy and in a style and never forgetting, unforgiving manner that demands and enforces results. This can, at first, be a shock to the system. The worse your management and employee discipline and work ethic, the more difficult they will find it to adapt. This means your company will go through teething problems and a period of significant re-adjustment. Once overcome, this initial period will be at the forefront of assisting in developing and creating a culture of improved performance and profitability. This means the employees worth keeping and those with the company’s welfare at heart will respond positively and realise this implementation is in the overall interests of the company. Nonetheless, a carefully planned approach is strongly advised.

This can be likened to going on a fast or detoxification program. Placing yourself on a water only diet from tomorrow is too severe for many. First they need to cut down on junk food, then eat less at mealtimes, then eat fruit and salads, and ultimately they are ready for water exclusively. Placing others on water from day one will probably result in most participants dropping out. This is not what you want with Productivity Manager, irrespective of how much discipline you may feel is lacking.

We recommend implementing each required activity gradually. Write down the list of activities that you wish your users to account for or log into the program. Assuming there are twenty, introduce their mandatory logging in smaller digestible portions over a period of a few months, starting with the most important to your company. Rather get your employees used to having to account for some activities to begin with and add to this list as time goes on. You will receive a less rebellious and more co-operative frame of mind from some of those concerned.

· This program should be seen as a welcome improvement by those employees who are pulling their weight and rightfully resenting those that don’t.

· This means greater accountability for those that need it, and improved recognition for those that deserve it.

· This program helps identify the achievers and the non-achievers. It weeds out the passengers and promotes those wanting to get ahead.

· It helps manage more effectively and efficiently.

· It manages impartially and with no bias, prejudice or emotion. It is always fair, honest, cost effective and on time.

· It increases employee appraisal accuracy and its reporting facilitates sorting reality from perception.

· It saves you time and money, and increases profits. Good Luck!


Conventions

The following conventions are used in this Help file:

New terms or those requiring emphasis will appear in boldface. These terms are usually explained in the Glossary.

Keys that you press are shown in bold Italics, for example Enter.

Keys that you press together are shown with a + between them, for example Alt+F4, meaning, "hold in Alt and press F4".

Menu use: When you are supposed to select something from a menu, it will be indicated thus: "File > Unlock". This means that you should click on (or otherwise open) the File menu and then select the option Unlock.


Notices

Productivity Manager™ is Copyright © 2002-11 Stingray Holdings Ltd.

This product is never sold, is only utilised under strict licensing guidelines, remains the property of Stingray Holdings Ltd , is copyright and is patented. No copies of this software may be sold, supplied or reproduced in whole or in part. Any violations will result in criminal and civil prosecution. To claim a reward, please report any violations via the Software Africa website at http://www.softwareafrica.co.za/productivity-manager.htm

Technical Support by Communication in Action cc t/a Software Africa
Reg. 2009/007863/23 ~ VAT No 4500104387
Empowering African industry with high-return Personal Computer programs, databases, macros, and templates.
 E-mail: info@softwareafrica.co.za · help@softwareafrica.co.za · Web: www.softwareafrica.co.za
Tel: 011 802-2685/6440/1 · Cell: 082 389-3482/1 · Fax-to-e-mail: 086-635-7902
126 Kelvin Drive, Morningside Manor, Sandton, Johannesburg, 2191 South Africa.

Productivity Manager™ is supported on the following Operating System configurations:

· Microsoft Windows 7 (not recommended on Home Edition)

· Microsoft Windows Vista (not recommended on Home Edition)

· Microsoft Windows XP (not recommended on Home Edition)

· Microsoft Windows 2000

· Microsoft Windows NT® 4 Service Pack 5 (or later) and Internet Explorer 4.01 SP2 or later

· Windows Millennium

· Microsoft Windows® 98 with the Year 2000 Update 2 and Microsoft Internet Explorer 4.01 Service Pack 2 (SP2) or later

· Microsoft Windows 98 Second Edition

Please note that it is not supported on plain Microsoft Windows 98, nor on Windows 95.
Performance will not be the best on “Home” versions of Windows, i.e. XP Home, Millennium, and 98.

For installations of 20 users and more, Productivity Manager requires Microsoft SQL Server 2000 or later, which is not included in the price of Productivity Manager.


Installing the Program

Installing the Program – Overview

You need to carry out the following tasks to install Productivity Manager on your company network:

Server Setup – ONCE ONLY: Install the starter database (back end – ProdMan.MDB (Small Workgroup) or ProdMan.SQL (SQL Server)) and Upgrader.exe onto a shared folder on the Server or a central PC.

PC Setup – on EVERY PC: Install the program (front end - ProdMan.EXE), then connect each PC to the Server and link Productivity Manager to the back end.

Request a License. The License will arrive by e-mail and must be saved to the Database Folder.

Set up the Company data , collect User data, decide on security levels, and Set up the Users

If the company has a list of contacts in electronic form, Import the contacts.

After installation, there are Housekeeping tasks that you may have to perform from time to time.

Periodically, Productivity Manager is revised to add new enhancements and fix bugs. The new files must be released as described in Upgrading the Program. To find out what the latest changes are, see What's New in Productivity Manager.


Server Setup

Server Setup (Install the Database)

<<Previous – Next>>

This section is relevant to you only if you are the person installing Productivity Manager.

System Requirements

Productivity Manager is used by various PCs all accessing the same shared database across a network. Ideally the database should be on a powerful Server, however on small peer-to-peer networks a fast PC will do. We will refer to this as the “Server” in what follows.

Decide on which drive on the Server you want to place the Productivity Manager data (in the “Database Folder”). Allow about 20 MB of space.

If you are running a large system (obligatory for 20 or more users, recommended for more than 10 users) you should have Microsoft SQL Server 2000 or later (not provided with Productivity Manager) to handle the data. In this case, choose on which SQL Server you want to place the Productivity Manager data, and also decide on a drive on a Server that will contain a folder with associated “back end” files (the “Database Folder”).

Installing from an Internet Download:

Create a suitable folder named “PMDownload “on the Server and download the Full Install to this folder. You will be downloading a self-extracting zipped (exe) file.

Run the downloaded file. Change the “Unzip to folder” to be the PMDownload folder (C:\PMDownload by default). Click Unzip and, when it has finished, Close. You may now delete the downloaded file if you wish.

Run the file Setup.exe that is now in the PMDownload folder. Then proceed from step 2 below as if installing from a CD-ROM:

Installing from a CD-ROM:

1. Insert the CD-ROM into your CD-ROM drive.

2. After a moment, the screen “Welcome to Productivity Manager Setup” should appear
(if it does not, Run D:\Setup.exe, where D: is the CD-ROM drive or the Internet download PMDownload folder)

3. Click Server Setup. Productivity Manager will ask:

Would you like to install the SQL Server version?
Yes = Install SQL Server Version (SQL Server must already be installed)
No = Install Small Workgroup version (10 users or less)
[Yes] [No] [Cancel]

4. Click Yes or No as required. The Server Setup program will copy files and then run.

5. You will be warned that files cannot be updated if they are in use (it is advisable to close all other programs) – click OK.

6. Click Change Directory – by default the Server Setup will use the folder P:\Productivity Manager and will create it if it does not yet exist, if there is a P: drive. Use a folder that you can later share (preferably named Productivity Manager) on a suitable drive). We refer to this as the Database Folder. (If you are running several branches and have laptop users who may move from branch to branch, you will make their lives easier if you use the same path mapping at all branches.)

7. Click the big picture button at top left to begin the installation.

8. Warning for Small Workgroup version: Do this Server Setup only once. If you re-install for any reason, do not overwrite ProdMan.mdb or you will lose your current data!

Share the Folders

Share the Database Folder and give all users read-write access permission.

If you are installing from an Internet Download, also share the PMDownload folder so that it can be accessed from all PCs on which you will be installing.

Backups are Important!

Ensure that the Database Folder and, in the case of the SQL Server Version, the SQL Server database (more about this Next) are backed up at least once a day by a reliable backup system, and take steps to have copies of backups stored off site. Check to make sure that the database has actually been backed up, and keep more than one copy! Databases can be corrupted easily by network communication problems, and then your best remedy is to restore it from your most recent backup (work done since the backup will be lost). Your supplier may be able to recover a corrupted database, but there will be a charge for this whether it succeeds or not, and even if it does succeed your database will be unavailable for several days.


Setup on PC

Setup on Each PC

This section is relevant to you only if you are the person installing Productivity Manager.

System Requirements

For best performance Productivity Manager should be run on Windows 2000 or XP Professional. It will work with somewhat lower performance on "home" systems like Windows 98 Second Edition and XP Home. (Please note that Windows XP Home is a difficult system to network and limits the network to a maximum of 5 PCs). The PC should preferably have a recent processor (Pentium 4 or later, preferably not a Celeron) and 128 MB or more of RAM. It does work on systems as low as 64 MB RAM with a plain Pentium processor, providing this PC is not running Windows XP Pro, as this operating system requires 128MB RAM.

If you are using a SQL Server Version, you must install Microsoft SQL Server 2000 with Service Pack 3 or later, or a later version of SQL Server.

The program is supplied on a CD-ROM and as an Internet download. For PCs that do not have a CD reader, the entire CD can be copied to a suitable shared network folder (referred to as “PMDownload” below), in which case you should substitute the appropriate path for "D:\" in what follows.

To install the Program on Each PC:

Do this installation once on every PC that is to use Productivity Manager.

Installing from an Internet Download:

Download and run the Server Setup (<<Previous).

Run the file Setup.exe that is in the PMDownload folder. Then proceed from step 2 below as if installing from a CD-ROM:

Installing from a CD-ROM:

1. Insert the CD-ROM into your CD-ROM drive.

2. After a moment, the screen “Welcome to Productivity Manager Setup” should appear
(if it does not, Run D:\Setup.exe, where D: is the CD-ROM drive or Internet download PMDownload folder)

3. Click PC Setup. The Productivity Manager Setup program will copy files and then run.

4. You will be warned that files cannot be updated if they are in use (it is advisable to close all other programs) – click OK.

5. We suggest that you install the program into the default folder, C:\Program Files\Productivity Manager. This will make it easier for you to install upgrades.

6. Click the big picture button at top left to begin the installation.

If you are running an older version of Windows, the program may have to upgrade some of your system files. If this is necessary, you will be prompted to upgrade. Once this upgrade is complete and your PC has restarted, run Setup again. It should then run to completion.

Setup will create the shortcut Start > Programs >Productivity Manager. If you would like a shortcut on the Desktop, right-drag this from the menu onto the Desktop.

Map to the Back End

In the previous section you created the Database Folder (preferably named “Productivity Manager“) on your server, and the setup program copied certain files to it.

Now map this folder so that it is visible from the PC, preferably as drive P: (Productivity Manager will automatically use P:\ProdMan.mdb or P:\ProdMan.SQL – however if it does not find it, it will ask).

Connect to the Back End: Small Workgroup Version (less than 20 users only)

Run Productivity Manager by clicking Start > Programs >Productivity Manager or double-clicking the shortcut on the Desktop.

If the program does not find the database, it will ask you to do so using a Windows Explorer-type interface. Locate “ProdMan.mdb” and click Open.

Connect to the Back End: SQL Server Version (Microsoft SQL Server must already be installed)

Make sure that you are logged onto your server using a logon that has rights to create databases on SQL Server (this is only necessary during installation).

Run Productivity Manager by clicking Start > Programs >Productivity Manager or double-clicking the shortcut on the Desktop.

If the program does not find its pointer to SQL Server, it will ask you to do so using a Windows Explorer-type interface. Locate “ProdMan.SQL” and click Open.

The very first time you run Productivity Manager, it will ask for the name of the SQL Server to use, followed by the name of the SQL Database to create (default ProdManSQL). If this is successful, it will store this information in the file “ProdMan.SQL” and never need to ask again.

Finish Installation

You do not need to log in at this stage, so click Cancel on the Login window. Close the program using the X at top right. The PC is now set up for use.


Licensing Lockout

Licensing and Lockouts

This section is relevant only to the person installing Productivity Manager.

Productivity Manager needs a new Licence file every month.
This file is sent by e-mail and will be encrypted.

Request a Licence

When you run Productivity Manager for the first time it will give you the opportunity to request a Licence by e-mail or other method (see below if there is an error). E-mail, fax, or telephone your details to your supplier, including the Serial Number that Productivity Manager provides as part of the process.

Save the Licence File

You should receive an e-mail with a licence file attached. The attached file will have a name of the form “ProdManXX.Lic”, where XX represents the month number. Save the file to the folder where your Productivity Manager database has been installed (see Installing the Database). If you are using Microsoft Outlook as your e-mail program, you can save attachments using File > Save Attachments. If you are using PMReplicator with Inbox scanning (you can only do this once Productivity Manager is set up), it will automatically save the license files for you.

If you are in doubt about where to save the file, run Productivity Manager and it will tell you where it is expecting to find the licence. If Productivity Manager is still running on a previous month’s licence, click Help > System for the address of the database.

Validation

The program will not run unless the month’s licence file is provided.

Number of Users

The licence file provides the program with information on how many Licences have been paid for, for the month, for that site.

Adding Users

Any users you add to the system beyond the number provided for in that month’s Licence will not be able to log in to the program. You will get a message advising you which users cannot log in. In this case please notify your supplier and a new Licensing file will be sent to you, and you will be billed for the extra users.

Users will be locked out in reverse order of entry, so the most recently added Users will be locked out first.

If some users have left the company you can reduce your need for extra licences, by deactivating ex-users. Edit the relevant users and set their end date to the date they stopped using Productivity Manager. Their Licences will then become available to others.

Reductions

If your company wants to decrease the number of users, notify your supplier so that the monthly fee can be reduced. The Licence file for the next month will be for the new number of Users.

Error: The Serial Number cannot be located!

On some networks if you run Productivity Manager for the first time on a PC other than the Server, you may encounter the Error: “The Serial Number cannot be located! Please run Productivity Manager on the Server on which the Database is installed, and request a License.” In this case install Productivity Manager on the Server if necessary, and run it there to make the initial license request. Thereafter it can be run from all PCs.

Changing Your Site Name or e-mail Address

When you e-mail your request for a License (top of page), Software Africa will make a note of your Site (Branch) Name and e-mail address and these will be used for future e-mails to you. If your site name or e-mail address change, simply e-mail Software Africa again with the old and changed details.


Set up the Company

Setting up Your Company

This Page is relevant to you only if you are the person installing Productivity Manager. The topics are:

· Administrator Password

· Company Details

· Holidays

· Activities

· Groups

· Users

· Resources

Administrator Password

Run Productivity Manager on any PC by clicking Start > Programs >Productivity Manager or double-clicking the shortcut on the Desktop.

Log in as Administrator. The default password is blank - click Change pwd and change this to a password of at least five characters.

Set up the following items before allowing other users onto the system:

Company Details

Click Setup > Company and fill in your Company details. Most of the fields are self-explanatory: Registration No can be used for any relevant numbers e.g. government or tax numbers, etc.

In the case of a company with more than one site using Replication to transfer data between sites, the site names will appear in the drop-down list at the top of the form. Select a site to view that site’s data (and save any changes made on the current site). You must log in as Administrator in order to change any of this data, and only the Administrator at Head Office can change data for all sites: At Branch Offices the local Administrator can change only that site’s data.

Click the More >> button to unfold the rest of the form:

The information for the start and end of work and lunch, and the working week, should be those that apply to most users, as this will be used as a default.

User Fields 1 to 5 are available to you to customize for your Contacts. For example, you might want to make User Field 1 = "Company", User Field 2 = "Contract Number", and User Field 2 = "Extra Phone No.".

"Minutes per Task Entered" is used by the report "Time Spent Entering Tasks" and should be an estimate of the average time it takes a user to create a Task or Appointment. This gives an idea of how much overhead is involved in users using the system.

Colour – Allows the Administrator to set the default background colour on forms and for the Administrator login. Choose black to reset to the factory default blue. The colour is applied to the active form, and then to other forms as they are opened. The colour is saved immediately; saving is not affected by View > Save Settings on Exit. Users can set their own colours using Setup > Colour.

Holidays

Click Setup > Holidays and record the company's holidays (non-working days) for the year.

To transfer the fixed holiday dates to a new year, click the "Copy to New year" button.

All other holidays require manual input using the Edit button.

Click the "Refresh List" button to sort the list after you have made additions.

Click the heading of a column to sort in order by that column.

Click the column heading a second time to sort in reverse order.

Activities

Click Setup > Activities to add to or edit the predetermined list.

The list contains common activities; each one has an ID that is used for identification in Appointments and Tasks. The ID must be one or two characters (letters or numbers). Upper and lower case are regarded as the same. The Activities should be as general as possible, while allowing major activities to be distinguished from each other.

Navigating through the grid

You can use Enter, Tab and the arrow keys to move around in the grid in Edit mode. Enter moves you one cell down and Shift+Enter one cell up. Tab moves you one cell to the right, unless you are on the last column where it would move down one row and to the first column. Shift+Tab moves you one column to the left, unless you are on the first column where it would move up one row and to the last column. Use Ctrl+Right Arrow to move right one column, Ctrl+Left arrow to move left one column, Up arrow to move one row up and Down arrow to move down one row.

Groups

Groups are used to categorise your Address Book entries (users and contacts). A group might be a company, a club or some other organisation, or a Department in your Company.

Click Setup > Groups to add or edit the list.

Leave Primary Member blank at this stage.

Under Type. Categorise the groups for search purposes, e.g. Company, Charity, Club, Co Dept, Team.

Under Group Name identify the collective group , e.g. IBM Corporation, SPCA, XYZ Golf Club, Accounts Dept.

Owner gives the name of the user that is allowed to change the group (later)

Private indicates that the group is only visible to the Owner (leave unticked usually).

Users

Users are people who work for the company and will be using Productivity Manager. Each user must be allocated a Security Level of Low, Medium, or High Access, depending on their level in the company and what they are allowed to do in Productivity Manager. See Security Levels (next) for more information.

Click Setup > Users to see a list of existing users. Double-click to edit a user.

Click Setup > New User to add a new user to the system:

Add users from the top of the hierarchy downwards - this allows you to put in each user's Supervisor (superior) since that person will already be on the system.

Under Security insert their Security Level as discussed above.

Note that the hierarchy is not directly related to security levels: While one would normally find High Access Users at the top of a hierarchy, Medium Access Users in the middle, and Low Access Users at the bottom, it is perfectly permissible to allocate Supervisors such that the reverse is true. The job title will indicate the person’s actual status in the company; the Security Level relates to their permissions in Productivity Manager.

The user's Work start and end, and Lunch start and end are used to work out the hours during which they are available for group appointments.

The system will demand that the user accounts for the number of hours per day specified, on every day of the working week (excluding holidays).

Under Start Date identify the date on which the user started working for the company, or starts using Productivity Manager, whichever is later.

You will later use End Date to specify when they leave the company. This is ignored if the check box is not ticked.

The password may be left blank. The user must then change it when logging in for the first time.

If you wish to use a Start Date that is earlier than the date the user starts using Productivity Manager, set Times OK To as the day before they start using Productivity Manager, otherwise the system will require them to account for times on earlier days.

A secretary can be allocated to a user. The secretary will be allowed to create, edit, view accept or reject appointments on behalf of the user. A secretary may be allocated to several users. The drop-down list on the diary will display all the users to whom the secretary is assigned. The dairy may be viewed by selecting the user from the drop-down list and clicking Refresh. The secretary will be given the same rights to the diary as the manager would, even if the secretary is on a lower security level i.e. the secretary’s rights change according to the diary being viewed.

Note: Productivity Manager is licensed for a specified number of users, and will not allow more than the licensed number to use the system. Keep your users current by filling in End Date when they leave the company, so that new users can be put on the system in the place of those who leave.

If you are using Productivity Manager at multiple branches, be sure to allocate each user to the correct branch. If you want to add a new branch, apply to your supplier. They will issue new licences for all branches.

Resources

Resources are things that are generally available to company staff for business use. Examples include: Boardroom, Meeting rooms, overhead projectors and whiteboards (if not permanently allocated to specific rooms), vehicles, and other equipment. When you set up a meeting you can book available resources for the meeting in the same way as you invite users and contacts.

Click Setup > Resources to record resources available.

Under Resource insert the name of the resource.

Under Owner select the person responsible for the resource (after you have set up users)

Under Start Date identify the date from which the resource is available.

Under End Date identify the date at which the resource is no longer available (if any)

Click the "Refresh List" button to sort the list after you have made additions.

Click the heading of a column to sort in order by that column.

Click the column heading again to sort in reverse order.


Security Levels

Each user is assigned a Security Level as follows: Low, Medium, or High Access. This is loaded when they log on (if you change someone’s security level, they have to log on again to get the new level).

Every user of the system must be allocated one of these security levels. Choose the level based on the rights given below:

In addition there is always a login called "Administrator" that has special rights and can not be deleted, but also can not function as a regular User.

The Rights in various parts of the program are as follows: (“Sub” = all levels of Subordinates)

Security Level > | Low Access | Medium Access | High Access | Administrator
Appointments |  |  |  |
Create New | All | All | All | None
View / Edit Users’ Diaries | Own | Own+Sub | All | None
View Resources’ Diaries | All | All | All | All
Change "Done" Appointments (they are then marked “not done”) | None | None | All | All
Invite | All | All | All | None
Recurring | Own | Own | Own | None
Reminder / Snooze | Own | Own | Own | None
Tasks |  |  |  |
Create | All | All | All | None
View / Edit | Own | Own+Sub | All | None
Change "Done" Tasks | None | None | All | All
Assign | All | All | All | None
Recurring | Own | Own | Own | None
Reminder / Snooze | Own | Own | Own | None
Contacts |  |  |  |
“Public” Contacts are those not marked “Private; “Unlocked” Contacts are those not marked “Locked”
Add New | Yes | Yes | Yes | No
View and Edit Unlocked Public Contacts | Yes | Yes | Yes | None
View Locked Contacts | Yes | Yes | Yes | None
Edit Locked Contacts | Own | Own | All | None
View Private Contacts | Own | Own+Sub | All | None
Edit Private Contacts | Own | Own | All | None
Change Private/Locked/Active Status | Own | Own+Sub | All | All
Change Ownership of Contacts that are: | Own | Own+Sub | All | All
Add / Edit Resource | No | No | No | Yes
Groups |  |  |  |
Add New | Yes | Yes | Yes | No
Edit Unlocked or Public Groups | Yes | Yes | Yes | None
Edit / View Private Groups | Own | Own+Sub | All | None
Change Private/Active Status | Own | Own+Sub | All | All
Users |  |  |  |
Add New User / Delete User | No | No | No | Yes
Edit User | No | Sub | Any | Any
View User's Records | None | Own+Sub | All | All
Change Security Level | No | No | No | Yes
Change Supervisor | No | No | No | Yes
Change Password | Own | Own+Sub | All | All
Notes |  |  |  |
Add Notes for Unlocked Public Contacts | Yes | Yes | Yes | No
Add Notes for Locked or Private Contacts | Own | Own+Sub | All | None
Edit/Delete existing Notes | No | No | Yes | Yes
View Notes for Public Contacts | Yes | Yes | Yes | No
View Notes for Private Contacts | Own | Own+Sub | All | None
Holidays |  |  |  |
View Holidays | Yes | Yes | Yes | Yes
Add/Edit Holidays | No | No | No | Yes
Setup |  |  |  |
View/Add/Edit Setup | No | No | No | Yes
View Reports |  |  |  |
Going out or away? Print out your Appointments (and Contacts) | Own | Own+Sub | All | No
My Notes for Selected Contacts | Own | Own+Sub | All | No
Contacts in a Group (Public Contacts) | Yes | Yes | Yes | No
Contacts in a Group (Private Contacts) | Own | Own+Sub | All | No
Block Graph of Activities per Day | No | Own+Sub | All | No
Activities Pie Charts (individual) | No | Own+Sub | All | No
Activities Group Pie Charts | All (but more than one user must be selected) |  |  | No
Activities Breakdown | No | Own+Sub | All | No
Detailed Tasks and Linked Appointments | No | Own+Sub | All | No
Task Summary | No | Own+Sub | All | No
Show Completed Appointments | No | Own+Sub | All | No
Activities Summaries (3) | No | Own+Sub | All | No
Time Periods per day (Graph) | No | Own+Sub | All | No
Total Appointment Times per day (Graph) | No | Own+Sub | All | No
Meetings, Bookings and Billing submenu | No | Own+Sub | All | No
Where is everyone? | No | Own+Sub | All | No
Those behind on Timesheets? | No | Own+Sub | All | No
Who reports to whom? Hierarchy | No | No | Yes | Yes
Contacts Report (Public Contacts) | Yes | Yes | Yes | No
Contacts Report (Private Contacts) | Own | Own+Sub | All | No
How much time was spent entering tasks? | No | No | All | No
Telephone Usage | No | Own+Sub | All | No
Administrative Tasks |  |  |  |
Archiving Data | No | No | No | Yes
Importing and Exporting Contacts | No | No | No | Yes


Maintenance

Maintenance (Housekeeping)

<<Previous – Next>>

These are the items that the Administrator should do on an ongoing basis.

Licence File

Each month you will receive a Licence file by e-mail. Save this file into the folder containing the Database. See Licensing for more details.

Users

When a user leaves the company, edit the User and fill in their End Date. You then have an extra user license available for someone else.

When a new user joins the company add them to the list of users with the appropriate security level and Start Date. If this takes your number of users over the licensed number, apply for more licensed users. See Licensing for more details.

Resources

When a resource is no longer available to the company, edit the Resources and fill in the End Date.

When a new Resource is added to the company, add it to the list of resources, giving the Start Date.

Public Holidays

As soon as Public Holidays are known for the next year, Setup > Holidays and add to the list.

Archiving

When data on the system is no longer needed; say one year old, then use the file Archive to remove old data from the system. This will be put onto a separate file and may be retrieved if necessary. Use File > Archive.

Unlocking Users

If a user's "Done" appointments are not up to date, they will be locked out of most of the system until they fix this. You can override this by editing the user's data and setting the Times OK to Date to yesterday. Do this only in exceptional circumstances.

Backups are Important!

Ensure that the Database Folder and, in the case of the SQL Server Version, the SQL Server database are backed up at least once a day by a reliable backup system, and take steps to have copies of backups stored off site. Check to make sure that the database has actually been backed up, and keep more than one copy! Databases can be corrupted easily by network communication problems, and then your best remedy is to restore it from your most recent backup (work done since the backup will be lost). Your supplier may be able to recover a corrupted database, but there will be a charge for this whether it succeeds or not, and even if it does succeed your database will be unavailable for several days.


Importing Contacts

Importing Companies, Contacts and Groups

If you are logged on as Administrator, you can import Contacts from text files and must indicate how the fields, from the file to be imported, correspond to the fields in the table of contacts, users and resources. The data is not checked for duplicates.

File Format: The file to be imported must be in CSV (comma-separated variable) format. Files like this can be exported from Microsoft Excel, Outlook, Maximizer, and many other programs. Productivity Manager requires the fields to be separated by commas and not any other character (some programs such as Excel use the separator set in Windows Settings > Control Panel > Regional Settings). Fields that contain commas, double quotes or Line Feeds must be inside double-quotes (“…”). All fields may be in double-quotes. The separating commas must not have spaces next to them. The first line of the file must consist of column headings (field names). Only non-blank lines after the first line will be imported. You will be able to ignore any fields you do not want to import. If you want to import any field into more than one Productivity Manager field (e.g. for Groups), duplicate it in the CSV file.

Backup: Before importing, get all users off Productivity Manager and make a Backup of the database (normally ProdMan.mdb). If your import fails for any reason, you will be able to restore back to the prior situation. Otherwise, you will have to edit your import file and remove contacts that were successfully imported, to prevent a second import creating duplicates.

Star t Productivity Manager and Login as Administrator.

Click File > Import and select a file with a TXT or CSV extension.

The Import Contacts dialog box shows two lists with arrow buttons in between.

The left-hand list is headed “From Field => To Field”. The “From Fields” are listed from the top non-blank row or your CSV file.

The right-hand list is headed “Available Fields”. These are the names of the fields in Productivity Manager’s Contacts table into which you are importing. You will move field names from this list into the right-hand part of the “From Fields” list, after the “=>”.

Importing Users, Companies, or Resources

You normally import Contacts, but you can import Users, Companies, or Resources in three ways:

A) If your contacts, companies, Users, and Resources are all in different files:

In the frame at bottom right ("Unless specified, Import As"), specify what type of import to do (User / Individual Contact / Company / Reservation Supplier / Resource). Import your companies first, with the Company name in the "Last Name" column. Import Resources with the Resource name in the "Last Name" column. Import contacts last: they will be linked to companies that have the identical name as specified in their “Company Name" field. If no company exists with a specified name then that contact will not be linked to a company.

B) If your companies and contacts are all in the same file, and you are not importing Users or Resources:

Choose “Let Program Decide”, and leave the field corresponding to "User?" undefined, then:

1) If "Company" (Company Name) has data but "First Name" and "Last Name" do not, Productivity Manager will import it as a company.

2) If "Company" has no data but "First Name" and/or "Last Name" do, Productivity Manager will import it as a contact not linked to any company.

3) If "Company" plus "First Name" and/or "Last Name" have data, check if the exact company name exists and if it does not, create it. Then create a contact record using "First Name" and "Last Name", and attach to the company just found/created.

If company and contact come from the same record, the company will get the same phone, fax, e-mail, and addresses as the first contact at that company. The only way to make them differ would be to put company and contact(s) on separate records.

C) Put a column “User?” in your CSV file to specify the type of contact. If you are importing resources, add a second column, “Resource?”. These you link to the “User?” and “Resource?” available fields.

The column you are importing that is linked to the "User?" field (in the list on the right), must contain a number (1-4, or 10) that specifies the type of contact, as follows:
1=User
2=Individual Contact
3=Company
4=Reservation Supplier
10=Resource

If you are importing Resources, use User? = 10, and specify the resource type by using a number in the column you are importing that is linked to the "Resource?" field, determined as follows:
Single Event = 1
Regular Event = 2
Random Event = 3
Physical Resource = 4
If you import resources and omit the “Resource?” field, or it does not have a value from 1-4, it will be imported as a Physical Resource (type 4) and you will later have to change it (menu: Resources) if this is wrong.

Each company must be imported before the contacts at that company, although they can be in the same file. Contacts should have the field "Company" set, to tie in with the company.

Note: Remember that there is no “Company” field in Productivity Manager. The Company record is a separate record in the Contacts table (set to type=Company), and the contacts at that company are then linked to the company (see Create or Edit Contacts). During the import, the only way a contact can be linked with its company is if the “Company” field in the import is identical for both (the Company will have no First Name or Surname). If you have several Companies (contact type=Company) that have the identical name, Productivity Manager will link contacts for that company name to the most-recently-edited of them, on the basis that this is most likely to be the one just imported.

User Fields: The fields UF1 to UF5 are the User Fields, the names of which are set up in Setup > Company.

Groups: The Productivity Manager fields “Group 1” to “Group 4” allow you to import your contacts in up to four Groups. This will later allow you to search easily for contacts in certain categories. For example, you might make your import fields “Company”, “Department”, “Position” and “Type of Business” correspond to Productivity Manager Groups (which group of the 1 to 4, is irrelevant). You would then end up with Productivity Manager Groups with four Group Types (“Company”, “Department”, “Position” and “Type of Business”) and Group Names corresponding to the imported data: Your Contact “Gates, Bill” could have Company=”Microsoft”, Department=”Management”, Position=”Sitting comfortably” and Type of Business=”Software”. In this example you would prepare your CSV file with two copies of the “Position” field, since Productivity Manager contacts also have a field “Job Title”.

If Productivity Manager finds any fields with names that seem to correspond between your import fields and its own, it will link them automatically. If it got any wrong, just click on the offending link and click the ► (right-pointing triangle) button to remove it.

To link your fields, first select the field in the left-hand list (“From Field”) list, and then double-click the corresponding Productivity Manager field in the right-hand list (“Available Fields”). Instead of double-clicking, you can click the field and then click the ◄ (left-pointing triangle) button.

Note that “Last Name” is an obligatory field. If any contact you are importing does not have a Last Name, it will get a question mark “?” instead.

Handling Duplicates: Set the way you would like Productivity Manager to treat records it find that have the same “Name + Surname” setting (import new anyway / update / overwrite / ask). The “Ask” option is the slowest, because only with this option does the program check if there are duplicates. Note the “Ask” option does not let you stop the import, so once you have chosen it, you have to approve or reject all duplicates to the end of the import. The log file will keep a record of your choices.

Save/Recall: When all the fields correspond to your liking, you are almost ready to do the import. But first, are you likely to want to do a similar import again? If so, click the Save button and save the field setup. If you need it again you can use the Recall button to get it back. Note that Recall does not replace any links that are already set up. This enables you to overlay several link files.

Who is going to be allowed to delete the contacts you are importing? Make this user the Owner.

To start the import, click the Import button. The status bar (bottom left) shows each line of the file as it is imported. Imports using Groups will take a bit longer.

If any incoming text field is too long for its counterpart in Productivity Manager, the program will truncate it and record this in the log file.

If the import finishes normally, Productivity Manager will tell you how many non-blank lines were read (excluding the heading) and how many contacts were imported.


Upgrading Productivity Manager

Upgrading the Productivity Manager Program

From time to time Productivity Manager is revised to add new enhancements and fix bugs. The new files must be copied onto one PC on which the program is installed, and will then be automatically propagated to the other PCs in the system, as described below (to find out what the latest changes are, click “Next >>” above).

You can obtain updates from the Productivity Manager web page, or on a CD-ROM from Software Africa.

Before installing, Locate the following folders:

1. The “Program Folder”: This is the location where Productivity Manager is installed on the current PC (or any other PC on which Productivity Manager is installed) – usually C:\Program Files\Productivity Manager. If in doubt, search your hard drive for ProdMan.exe.

2. The “Database Folder”: This is the shared folder on the Server containing the back-end database, ProdMan.mdb. If in doubt, run Productivity Manager and look in Help > Support for the “Database:” line.

Installation from a CD-ROM:

The CD will contain a folder named “Update”. Copy the files therein as instructed below.

Installation from an Internet Download:

Save the Update file from the web site onto a shared folder on your Server (e.g. the PMDownload folder you created at the start of Server Setup). The file is a self-extracting Zip file.

Run the downloaded file. Change the “Unzip to folder” to be a subfolder “Update” of the “PMDownload” folder ("C:\PMDownload\Update" by default). Click Unzip and, when it has finished, Close. You may now delete the downloaded file if you wish.

Copy the files from the "PMDownload\Update" folder as instructed below:

Stop PMReplicator and Productivity Manager:

If PMReplicator is running, either on your task bar or in Background mode as an icon on the System Tray, close it. If Productivity Manager is running, close it. You cannot Copy over running programs (an “Access Denied” error will result):

Copy the Files:

§ Copy ProdMan.exe, PMReplicator.exe and ProdManHelp.chm to the Program Folder. Make sure that you replace only older files.

§ If Upgrader.exe has been supplied, copy it to the Database Folder: Replace older files only.

Run Productivity Manager and Release the Upgrade:

Run Productivity Manager on the PC to which you have copied ProdMan.exe and ProdManHelp.chm.

When you have logged on, the program will notice that it is newer than the existing released version, and ask if you want to "copy over the Master and release this version now". Click Yes and confirm, and it will run Upgrader.exe, which does the job.

Whenever anyone logs onto the database at another PC thereafter, it will ask whether they want to upgrade that PC and, if they respond Yes, it will do so.


Conventions

Replication

Summary

Productivity Manager is able to run at remote sites (e.g. Branch Offices) and exchange data via e-mail with a Head Office (or “HQ"). It also allows employees to take Productivity Manager “on the road” on laptops, and then update changes to the office database when back in the office.

The first step in organising replication is to notify Software Africa, your Productivity Manager supplier, of the number of Branches (including Head Office), and the name, number of users, and e-mail address at each branch. The e-mail address given must be that of the user responsible for data imports, typically an Administrator.

Software Africa will e-mail each site a monthly license specifying the above information for all sites. If any of this data changes a new license is required at all sites.

When you install Productivity Manager on each PC at your site, choose one or more PCs to do replication (use more than one PC if the PC used for replication could be switched off, unattended, or unable to send e-mail for a day or more). On each of these PCs, you should set up Replication (see Setting Up Replication below).

Replication has two parts, Export and Import. The Export takes place from the chosen Replication PCs at scheduled times. At the destination, the e-mail attachment must be saved to the Productivity Manager Database folder, either automatically by the program, or manually. Any of the Replication PCs can then import the data.

Users with laptops (“Remote Users”) operate like single-user Branch Offices, except that they can also “dock” at any branch and attach to that branch’s database. To dock for the first time, click File > Dock. Productivity Manager will ask you to locate the database (ProdMan.mdb) on the network. Thereafter it will always check whether that file can be found: If so, it will attach to it in “docked” mode. If the network database is not accessible, Productivity Manager uses the database on the laptop itself. Remote Users can dock at any branch: If that branch’s database appears on a network path different from the previous branch visited, the user must click File > Dock again.

Definitions

Types of Site

Head Office (HQ)

This is one central site, with several networked PCs and a Server (or a PC acting as a Server). All other sites e-mail updates to this site, and receive updates from it. This site will hold all Productivity Manager data for the entire company (Head Office and all branches).

Branch Offices

There may be as many Branch Offices as required, with several networked PCs and a Server (or a PC acting as a Server). Usually they will be at a different location to the Head Office and on a different network (LAN or WAN). All Branch Offices exchange data with Head Office, not with each other. Branch Offices may hold all company data (being effectively replicas of the data at Head Office), or only the data relevant to that particular site.

Remote Users

These are single users using laptops. A Remote User may dock his laptop (see below) at any Office. When not docked, a Remote User functions like a Branch Office

The term “Remote Site” is used below to include both Branch Offices and Remote (single) Users.

Replication Terms

Import and Export

An Import means that the data is entering the relevant database; an Export means that a copy of the data is leaving it.

Productivity Manager caters for two types of Exports, “Full” and “Partial”. A Full Export sends all data (always done when exporting to HQ so that it always has all data from all sites). A Partial Export only sends data relevant to the destination site.

If someone from another site has invited a User to an Appointment, then that Appointment, all its Contacts, and all related Contacts are exported (via HQ) to the Site where the Invited User is. Notes for that contact are not exported.

Docking

Remote Users “go on the road” with laptops. When a Remote User “docks” at an office, he connects to both the office’s database and his own and the system updates the site with his data (Remote Users always do a Full Export to the Office at which they are docked). This user can then work directly on the main database. When he logs off, Productivity Manager offers to do an Export to the database on his Laptop (normally Partial to keep down the size of the database). Remote Users can dock at any site, and receive Partial Updates from that site. HQ however always sends them their own exports directly, just like to any other Remote Site.

PMReplicator

This is a separate program that can run “in the background” even when Productivity Manager is not itself running. It exports from the database at scheduled times, and does inbox scanning to save attachments (if set to do so) and imports whenever a file is found to import. More below…

Setting Up Replication

Replication is initially set up in Productivity Manager. Select File > Replication from the menu.

The Outlook Inbox can be scanned for all e-mails that contain PMX (import) and LIC (license) files as attachments. These attachments are saved to the folder that contains the Back-end and the e-mail is then moved or deleted. Thereafter the PMX files are processed. This feature can be turned on by ticking the check box labelled “Scan Inbox for License and Import E-mails?”. If Inbox Scan is off, you must manually save the attachments of all e-mails that have -PMXfer- in the subject, to the folder containing the Back-end for processing.

There are two Scan options. They are

· “Delete” – this will permanently delete e-mails that have been processed.

· “Move” – this will move processed e-mails to a folder specified in the list beside the option. The default folder will be “Deleted Items”. By clicking “New”, you can create and name a new subfolder of the Inbox to store processed e-mails: The default name will be “Processed”.

NB: The Inbox Scan is available only if you are using Microsoft Outlook and will not service Microsoft Outlook Express or any other e-mail program.

Exports can run in two ways,

· “Manually” (Immediate) by clicking Export Now on the Replication Settings Form, or

· “Scheduled” (at predetermined times) – this requires a running PMReplicator, which will automatically export to selected sites at the times specified.

Select the sites you would like to export to in the “Export to Site” list (Branches will only be able to select Head Office).

There are three export options. They are

· E-mail Automatically – this will try to send an e-mail to selected sites without user intervention, although certain versions of Microsoft Outlook may ask you to give permission for the e-mail to be sent, see more about the e-mail program (below).

· Preview E-mail – this will allow you to view all the e-mails and then click “Send”, and

· Save Export Files – the export files will be saved to the same location as the program (typically C:\Program Files\Productivity Manager); you then have to manually create an e-mail and attach the file(s).

The choices for “In Case of Clashing Imports” can only be set at Head Office: All other sites will use this setting. “Owner Wins” means that if records clash then the record that was modified at the original site will be kept and the other discarded. “Most Recent Wins” will accept the record that was modified at the latest date and discard the earlier change.

Head Office can also select “Full Export”, which selects whether sites get all the data or just what is relevant to them. Warning: “Full Export” will cause all sites to have databases as big as that at Head Office! Remote Sites always send a full export to Head Office.

PMReplicator will not send an e-mail if there is nothing to send unless you tick the box “Always Send”. Use this during testing as confirmation that replication is running, or look in the log file to see if there was an attempt to send.

Manual Imports

Set the settings as above and click Import Now.

Manual Exports

Set the settings as above and click Export Now.

Scheduled Imports and Exports

To make PMReplicator run whenever the user logs onto the PC select “Run on Startup”. You should always set this if you want Scheduled Imports and Exports to run. In addition, if you want a Scheduled Import and Export to happen before you restart your PC, you should also click Run Now.

For Scheduled exports, select how often you would like to send to the selected sites:

· Work Hours and the Interval in hours, e.g. 0:30 (every 30 minutes), 2:00 (every two hours). With this set, the program will attempt to send a replication file during company working hours (7 days a week) at the specified interval starting from the time PMReplicator started, or the Branch’s start-of-Work time, whichever is later.

· Daily and a Time of day, or

· Weekly, a Time and Day of week, or

· Monthly, a Time and Day of Month

To make PMReplicator run in the background select “Run in Background”. When “Running in Background” PMReplicator will not be visible on the Windows Taskbar (next to the Start button), but will instead appear as an icon (left and right arrows) on the System Tray (at the extreme right of the Taskbar).

Click Run Now if you would like PMReplicator to start running immediately.

To save the settings of the sites to which you export and the frequency with which this is done, click Save Sites/Freq.

To save the Replication settings on the right-hand side of the window, click Save Settings.

It is important to save, otherwise old (or no) setting will be used in running PMReplicator and the Inbox Scan.

Technical Information

The Replication Process

You set up the process in Productivity Manager on the File > Replication form. The Scheduled Export and Import are done by a separate program (PMReplicator) that runs in the background on selected machines. On these PCs, this program starts automatically from a shortcut in the PC’s start-up folder and is always running in the background. The selected PCs must have e-mail capabilities, which must use Microsoft Outlook if Inbox scanning is used.

For the Export, PMReplicator accesses the backend Database, creates the files to be exported according to the settings in Productivity Manager, and automatically sends the e-mail if this e-mail setting is selected, otherwise creates an e-mail for the user to send, or a file for the user to attach and send.

On the Import side, if Inbox scanning is on, PMReplicator automatically saves the attachments (PMX (data transfer) and LIC (license) files) and either deletes or moves the processed messages. If inbox scanning is off, the person receiving replication e-mails must save the attached files to the database folder as a manual process: In Microsoft Outlook, use File > Save Attachments and make sure that you are saving to the correct folder as shown in Productivity Manager’s Help > Support – Save Replication Attachments to….

PMReplicator automatically checks for PMX files to be imported. If there is more than one PC running PMReplicator then the work is shared amongst the PCs, e.g. If 3 PCs run the program then PC B may be the first to check and find file 1 of 4, rename the file and start the Import, PC C then finds file 2, PC A finds file 3 and whichever PC finishes its Import first then goes on to do file 4.

The PMReplicator Program

When PMReplicator is running in background, you will see an icon with arrows pointing left and right on the system tray (the icon area at the right-hand end of the Task Bar, that is opposite to the “Start” button –normally at the bottom right of the screen).

If you click on this icon, a small window opens bearing the title “PMReplicator Communications” and the buttons

· Replication. This opens the Replication Settings window (the same window as File > Replication in Productivity Manager – see above for help on this),

· Run in Background. This puts PMReplicator back on the system tray,

· About. This displays the Splash Screen giving the Version number and date, and

· View Log File. This displays the file PMReplicator.log, which contains a record of PMReplicator’s transactions logged according to the level set in Productivity Manager’s Help > Debug?

· Exit, which stops PMReplicator. You also get this choice by right-clicking on the system tray icon.

Notification

If a User has not accepted or rejected an appointment then Productivity Manager gives the Owner a message telling him that this has not happened.

Licensing Issues

How does Productivity Manager know that it is a remote site rather than Head Office? The licence tells Productivity Manager in which capacity it is operating (Head Office, Branch Office or Remote User). Each remote site requires its own license. Software Africa e-mails each month’s license to each site towards the end of the previous month. It is important to notify Software Africa if a site changes its name, e-mail address, or number of users, so that this change can be made in the licenses.

The Import routine imports only from another database belonging to the same Customer.

To enable Head Office to run reports on the remote sites, they see the users at the remote sites as active users on the Head Office system, but those users are not able to log onto the Head Office system (otherwise extra user licences would be required). We have a special class of user, a “remote user”, who cannot log onto the system, but is still active and features in reports.

In the case of Laptop (docking) users, the program allows them to log onto the main database using their local (one-user) laptop license rather than the Head Office license. It checks that both databases have valid licenses for the month. Docking users can only log on to the parent system, not any other Productivity Manager.

The Company form shows how many (regular) Users, and how many Docking Users are currently loaded on the system.

Import and Export Process

Importing

If PMReplicator is running, it starts the Import automatically. For a Manual Import a User can click File > Replication Import Now. The program then starts searching for correctly-named files that have been saved in the same folder as the Backend database. If none is found then it asks you to copy files to the correct folder. With PMReplicator running Inbox Scanning, the files will automatically be saved correctly.

Once correct files are found, they will automatically be imported. The file will be deleted after it has been successfully imported.

Exporting

There are two ways in which the Export can be done.

Scheduled Export: PMReplicator checks the Frequency field and whenever it reaches the time to do a data transfer it automatically does an export to all sites to which an export is required. This will fail if that PC was not switched on with PMReplicator running when the transfer was supposed to happen and one or more transfers could be missed. That data will be transferred the next time a successful export is done.

Manual Export: This leaves it up to the company to organise and remember to start its own Transfers. The person responsible for doing Exports must log onto Productivity Manager and click File > Replication and then the Export Now Button. You can set up recurring Appointments for the responsible person to remind them to do the updates.

Most companies would probably set up Scheduled Exports, doing the occasional Manual Export when there is urgent information that has to go to another site immediately.

If this is an Export from HQ then you can select to which Branches to export, full or partial export.

E-Mail Issues

On the Replication Settings form, you may also select if the e-mail should be sent automatically, viewed first or if files for export should just be saved to the program folder. If you do not have Microsoft Outlook on your machine then Productivity Manager has to save those files and you must make arrangements for Branches to receive downloads via another form of e-mail or transporting the files on a disk/CD etc.

The first time you try to send e-mail from Productivity Manager on each PC, it will ask you which e-mail program you wish to use (Microsoft Outlook, or Other). Outlook handles attachments, but if you are using “other”, you have to attach the replication files manually (Productivity Manager will tell you which files to attach). To change this choice later, use Setup > E-Mail. The option Setup > E-Mail > Outlook (bypass Security) lets Productivity Manager evade the nagging screens that pop up in Outlook from version 2000 SP2 (Service Pack 2) onwards asking whether you want to allow e-mails to be sent.

WARNING! Outlook 2000 must be running in “Corporate or Workgroup" (C/W) mode for bypass Security to work, otherwise Productivity Manager and PMReplicator will crash when sending e-mails! Look at your Outlook's Help > About and if you see, under the version number, "Internet Mail Only" (IMO), you must set it to C/W mode instead. Do this as follows: In Outlook, use Tools > Options > Mail Delivery > Reconfigure Mail Support and choose "Corporate or Workgroup". You may have to insert your Office 2000 CD-ROM to complete the process. This problem does not occur in Outlook 2002 (XP) which always uses C/W mode.

PMReplicator will not send an e-mail if there is nothing to send unless you tick the box “Always Send” on the Replication Settings. Use “Always Send” during testing as confirmation that replication is running, or look in the replication log file (PMReplicator.Log) to see if there was an attempt to send. View the PMReplicator log file from PMReplicator’s main menu. Use a Debug level of 4 to show replication attempts, or 5 to show every line replicated (Help > Debug? in Productivity Manager).

Docking

When you log on as a Remote User, Productivity Manager checks if you have ever logged onto a branch office before. If you have then it tries to find the file that you logged onto (if Productivity Manager was installed according to instruction on all sites then the database is on the same path at HQ and all Branch Offices). If this file is found then Productivity Manager automatically connects you to the database and goes into “Docked Mode”.

If you have never docked or would like to dock at a site that has a different path compared to the one you used last then you can dock by going to File > Dock (this option is available only for Remote Users). You are then prompted to find the database to which you would like to link.

When Productivity Manager goes into docking mode it updates the Branch or HQ (wherever you have logged into). The remote user always does a Full Export (because you are working on this database and need all your data). After the export, you are then logged onto the Branch/HQ database as a remote user. You can then work as normal.

When you log off, Productivity Manager automatically assume that you are going “on the road” again and it updates all relevant data on your local database (Partial Update). If you do not log off properly and you go on the road then Productivity Manager’s data may not be up to date as you will not have your latest data.

For more about Docking, click Next>>.

Time Lags

Each Organisation is allowed to select how often they do Imports and Exports. If an Organisation updates once a day then it could take up to 4 days to get a reply for an Appointment. Day 1 – User A at Site A makes appointment and Invites User B at Site B. Site A Exports to HQ. Day 2 – Site B Imports from HQ. User B rejects Appointment. Day 3 – Site B Exports to HQ. Day 4 – User A receives Update about Appointment and only then sees that User B has rejected.

Appointments

Making Appointments

Users can be included in Appointments made at any site.

When an Appointment has changed or a new one is created and a User from another site has been invited, that appointment is exported to head office and relayed. If a User has been invited to an Appointment they are reminded about it every 5 minutes, until they either accept or reject the appointment.

The User Status Reminder on the Edit Appointments form is used to tell the Owner that someone has rejected or not yet replied to their invitation. This gives the owner the opportunity to make a proactive decision a given time before the appointment.

Only Appointments involving a User, Resource or Contact from a specific site are exported from HQ to that site. All Appointments however are Imported by HQ to ensure that HQ has all the data from all sites.

Conflicting Appointments

If remote users can be included in Appointments made at Head Office, then it is quite possible that appointments can be made that clash, i.e. there is an overlap between appointments made for the same person at different sites.

Productivity Manager allows clashing Appointments to be set (you are warned where possible) but no done Appointment is allowed to clash with another done Appointment.

On the Monthly, Weekly etc. view Productivity Manager inserts "!!" in front of all appointments that clash with another Appointment.


Docking

This section is relevant to you only if:

· You are the person installing Productivity Manager, and

· You have laptop users who want to use Productivity Manager when not on the network.

Summary

Users with laptops (called “Remote Users”) operate like separate single-user Branch Offices, except that they can also “dock” at any branch and attach to that branch’s database. To dock for the first time, click File > Dock. Productivity Manager will ask you to locate the database (ProdMan.mdb) on the network. Thereafter it will always check whether that file can be found: If so, it will attach to it in “docked” mode. If the network database is not accessible, Productivity Manager uses the local database on the laptop itself. Remote Users can dock at any branch: If that branch’s database appears on a network path different from the previous branch visited, the user must click File > Dock again.

When we refer to a “Branch”, this includes Head Office. For a discussion of Branch Offices and how Productivity Manager handles Replication, click <<Previous.

What is Docking?

A “Remote User” or “Laptop User” is a separate branch that has only one user. The laptop user has a copy of the back-end database on their laptop (referred to as the “local database”). When they are on the company network, they can connect to that branch’s database (the “network database”). The process of connecting to the network database is called “Docking”, and Productivity Manager is then said to be “Docked”. Conversely, if the laptop Productivity Manager is connected to the local database it is “Undocked” (working locally).

When docked or undocked, the program’s title bar (at the top) reflects the name of the server or local database respectively, so that you can see at a glance whether you are docked or undocked. You can see the paths to both databases, and whether you are docked, in Help > Support…

When a Remote User logs onto Productivity Manager the program checks if it has ever docked onto a network database before. If it has, it tries to find the network database that it docked onto. If it finds this file, Productivity Manager automatically connects to it and goes into “Docked Mode”.

If you have never docked or would like to dock at a branch that has its network database on a different path to the one you used last, you can dock by clicking File > Dock (this option only appears for Remote Users). Productivity Manager will then ask you to find the network database you would like to use.

When the program goes into docked mode, it updates the network database you have logged into. It always does a Full Export from the local database to the network database (because you need all your data while working on the network database). After the export, you are logged onto the Branch database as a remote user. You can then work as normal.

When you exit Productivity Manager, it assumes that you are going “on the road” (undocked) again and it updates all relevant data on your local database (a Partial Update). In the unlikely event that Productivity Manager did not shut down properly, its local data may not be up to date.

Since the Remote User will normally work in a Docked state whenever possible, there is seldom any reason to undock: However, this option is provided – while docked, you will find the menu option “File > Undock (Work Locally)” in place of the docking option.

Setting up Docking – First-Time Users

When you subscribe to Productivity Manager, notify your supplier how many Remote Users (i.e. single-user branches) you will be loading, and what their names and e-mail addresses are. They will be e-mailed separate licenses, and they will not appear in the count of users for Head Office.

Load Head Office as per installation instructions and apply for a licence by e-mail.

Load each Remote User as a branch on their own. This means that you must do a server install on their local Hard Drive (we suggest using the program folder “C:\Program Files\Productivity Manager” to keep all the files together), as well as a PC install (also to “C:\Program Files\Productivity Manager”). Apply for a licence by e-mail from each laptop.

When the licences arrive, save them in all cases to the same path as that installation’s database (i.e. where you did the Server install). For a branch (or Head Office), this will be a folder on the network server. For the laptops, it will on the local hard drive (on “C:\Program Files\Productivity Manager” if you followed our advice above).

Now run Productivity Manager at Head Office from a network PC (not one of the remote laptops!), log on as Administrator, change the Administrator password (which starts off blank), and enter your users. Be sure to allocate each user to the correct branch, particularly the remote users to their own branches. If you want to add a new branch, apply to your supplier. They will then issue new licences for all branches.

Run Productivity Manager on the laptop and log on as Administrator, changing the first-time blank Administrator password. This need not be the same as that at Head Office. Click File > Dock. Productivity Manager will ask for the path to the network database on the network –locate it. You have now docked. The program will automatically transfer the data for that Remote User to the local database. You can now log on as that remote user and use Productivity Manager as usual.

Whenever a docked remote user shuts down Productivity Manager, it will transfer that user’s data from the network database to the local database. If the remote user later logs on and the program can not find the network database (probably because the laptop is off the network), it will operate in “Undocked” mode using the local back-end. When next it is able to find network database it will transfer the new data to it.

Note: It is perfectly acceptable for a laptop user to move from branch to branch of the Company – they do not need to stay with Head Office or a particular branch. However, the branches should be doing Full Replication with each other; otherwise, they may not see all the data. Productivity Manager always looks for the network database the remote user logged onto last. If the path is different, then the laptop user has to dock manually using File > Dock each time they go to a new branch. If Productivity Manager was installed according to instructions on all branches then the database is on the same path (P:\Productivity Manager) at HQ and all Branch Offices. In this case, Productivity Manager automatically connects the remote user to the network database and goes into “Docked Mode”.

Setting up Docking – Users that come on Later

In this scenario, Head Office and possibly some other branches are already functioning; we now have a new laptop user who wants to be added as a remote user.

Load the new Remote User as a branch on their own. Do a server install on their local Hard Drive (preferably to “C:\Program Files\Productivity Manager”), as well as a PC install (also to “C:\Program Files\Productivity Manager”). Apply for a licence by e-mail from the laptop. Notify your supplier of the new branch and, if necessary, the revised number of users at your other branches. New licenses will arrive for all branches – the licence contains information on all the Company’s branches.

When the licences arrive, save them in all cases to the same path as that installation’s back-end database (i.e. where you did the Server install). For Head Office this will usually be a folder on the server. For the laptops, it will on the local hard drive (“C:\Program Files\Productivity Manager” if you followed our advice above). The incoming licenses will be saved automatically on all the sites where you are running PMReplicator with Inbox Scanning turned on.

Run Productivity Manager at Head Office from a network PC (not the remote laptop!) and log on as Administrator. The new branch(es) will be set from the new license. Either enter the new user and allocate them to the new Remote branch or, if it is an existing user, change their site to their new Remote branch.

Run Productivity Manager on the laptop and log on as Administrator, changing the first-time blank Administrator password. This need not be the same as that at Head Office. Click File > Dock. Productivity Manager will ask for the path to the network database on the network –locate it. You have now docked. The program will automatically transfer the data for that Remote User to the local database. You can now log on as that remote user and use Productivity Manager as usual.

Who is the Administrator?

If you are on the laptop and Docked and log on as Administrator, you are logging onto the Branch and use the Branch Administrator’s password. The Branch Administrator has rights to change all users at the branch (including their security levels). If the branch is Head Office, the Administrator has rights to change all users at the whole company (including, of course, the laptop users).

If you are on the laptop Undocked and log on as Administrator, you are logging onto the local database and use the laptop Administrator’s password. The laptop Administrator only has rights to change the laptop user. This means that if the laptop user knows their local Administrator password, they can upgrade their own security to a higher access level. If the laptop user knows the Branch Administrator’s password (and docks), they can change all users at that branch.

Confusion may arise when a laptop user tries to log on as Administrator using the laptop Administrator’s password, but Productivity Manager is actually docked (if the two Administrator passwords are different, the login will fail). If the Login dialog box is headed “Docking”, you are logging onto the network database (docked); if it is headed “Login”, you are logging onto the local database (undocked). If you are logging in with the program in the wrong state (docked or undocked), Cancel the login, change state by clicking File > Dock (or “File > Work locally (undocked)”) and then File > Login again.

If you are logged on as Administrator and then dock or undock, you have to log on again because you are logging on as a different Administrator. If you are logged on as the Laptop User and then dock or undock, you stay logged on as that user.

If you forget an Administrator password, your Productivity Manager supplier can discover it for you. You will have to e-mail them the database, and there will be a charge.


What's New?

What's New in Productivity Manager?

<<Previous – Next>>

From time to time Productivity Manager is revised to add enhancements and fix bugs. The list of recent revisions is below, in reverse order (latest at the top). To find out how to update Productivity Manager, click here.

Version 4.00 – 19 September 2011 RIR

Altered Resources file and this Help:

1. New web page address www.softwareafrica.co.za/productivity-manager.htm to show on reports, on the Support page when it says “do you want to go to our website now?”, etc.

2. New e-mail license request after installing – register@softwareafrica.co.za

3. Copyright © 2002-7 ProductivityWiz.com changed to Copyright © 2002-11 Stingray Holdings Ltd.

Version 3.11 – 12 May 2007 RIR

1. New website address www.productivitywiz.com to show on reports, on the Support page when it says “do you want to go to our website now?”, etc.

2. New e-mail license request after installing – customercare@productivitywiz.com

3. Hid File > Synchronisation as feature is not fully functional.

Version 3.10 – 9 July 2006 KA

Outlook Synchronisation (not fully functional).

Version 3.10 – 29 May 2006 RIR

File Import has been improved and now links contacts to their companies. It also allows a Company + Contact to be imported from a single line in the CSV file. Full details…

Version 3.10 – 2 April 2006 RIR

Error-trapping has been enhanced in various problem areas.

PMBug-844: We now have a simple way to find and delete Templates: Menu: Notes > Templates and Signatures displays all Templates and Signatures for editing or deleting (available only to Admin and high permission users).

PMBug-665: Program now scrolls to, and highlights the new contact. If Note Tracking is on, it will display notes for that contact. New notes will be for that contact.

PMBug-556: Reports now drill down correctly from Preview after printing. Graphs have to be re-drawn to be able to drill down after printing.

PMBug-785: Setup > Company by default now displays only Active branches in the drop-down list, however you have a choice to display inactive branches too.

PMBug-735: When PM is minimized, appointment notification either maximizes PM or Restores it, depending on previous state. Previously it always restored it.

Version 3.10 – 5 March 2006

PMBug-651: Report Drilldown: Status bar help says drilldown is not available for report Resource Contacts, but it is! (It drills down to the appointment).

PMBug-662: Appointment Edit shows Deleted (=1) group membership. Fixed to not show deleted contacts.

PMBug-663: Reports: Changed Y-axis label from "Time" to "Duration" on Total Appointment Times per Day graph.

PMBug-701and PMBug-776: Upgrader. 75: Path/File access error – after 20 Upgrader retries! Should be fixed by installing into "C:\Productivity Manager".

PMBug-724, PMBug-743 and PMBug-826: Replicator “Error in Sub ScanEMail on modComms – ActiveX Component can't create object olObj. Replicator started up before Outlook and probably tried to read the Inbox while Outlook was still starting. Made Replicator wait for 3 minutes before it does its very first inbox. Error Logging in Sub ScanEmail, but allow 10 mins from start-up.

PMBug-733: Log File. On Windows XP, if the user does not have Admin rights on that PC, Productivity Manager can not write the Log File (to C:\Program Files\Productivity Manager). Productivity Manager instead now by default installs to "C:\Productivity Manager"

PMBug-752: Save Settings. Open the week view diary and set focus on the Tasks form or Calendar. Now open the Month view from the Diary menu. Now close the Month View and close PM. Reopen PM and the month view replaces the week view. Fixed.

PMBug-754: Reports. Dates on X-axis overlapping if the date range is too large. Fixed now.

PMBug-756: Recurring. "Type mismatch” on Recurring Form: Create Recurring Appointment, get Error in Sub SaveRecurOK on frmRecurring. Happened if you hit OK without "Show Me" first. Disabled OK until they click "Show Me" – the OK button needs the list.

PMBug-757: Recurring. Edit Recurring Appointment – Run-time error 13: Type mismatch". Fixed.

PMBug-774: Improvement Analysis Over Time Graph: Dates are overlapping. Fixed.

PMBug-794 and PMBug-839: On Resource Planner Report, Subhead ran to two lines but graph body did not move down, so it ran into upper x-axis labels. Fixed.

PMBug-828: Login. Contacts were suddenly appearing in the log in list of users. Solved.

PMBug-835: Communications. Productivity Manager Replicator 3.09 Error in Sub ProcessReq on modComms – Subscript out of range. The clown wanted a Reservation that ended before the start date. Now trapped.

PMBug-836: Notes. "Productivity Manager appears to “hang”. User had moved from dual screen to single screen and last used the New Note form on the discarded screen. Added code to move form back on-screen. Same for Main Form.

PMBug-837: Reservations. "Rooms" and "Days" were swapped around for web requests. Changed in Replicator.

Replicator: To allow you to see the status bar more easily, Replicator is now resizable, and will resize to the status bar only at top of screen if you double-click the form. There is a new button on Replicator to set the debug level (also sets and is set from Productivity Manager). If debug level is 4 or above, it will log each web request to the file.

PMBug-838: Manual Reservations. Error “Can not remove last non-fixed row – in cmdQuote_Click on frmRequest". Fixed.

PMBug-840: Manual Reservations. If you change the dates and no. of days, the total price doesn't change. Reason: The order is: get dates right, get pax (adults/children) right, add resources to grid. We have now disabled date-time pickers if grid is not empty (must put back into grid if dates change, so availability is checked for the new dates).

PMBug-845: Snoozing All Appointments did not snooze all Tasks, nor all Requests that have Deposits or Balance due.

Version 3.09 – 6 February 2006

You can now Drag and drop from the Address Book onto the Day Diary to create an appointment. The appointment opens so that you can manually set the Activity, Description, end time and other details.

Fixed PMBug-833 in Reservations to do with New Year and not responding to Web Requests. This eliminates the spurious “Inconsistent Date” Status, except if the user has really tried to reset their number of dispatches used by setting a false date on the PC.

Re-Fixed PMBug-826: Error in Sub ScanEmail on modComms: ActiveX component can't create object.

Fixed PMBug-834: If you select too many people for e-mailing that that have no e-mail addresses, the Message Box of the names is too long for the screen, and you can't see the question at the bottom.

Version 3.09 – 5 January 2006

Added more error-reporting in Sub ProcessReq and Sub ScanEmail in module modComms.

Version 3.08 – 28 November 2005

Added “Show Inactive?” checkbox to Reservations Pricing form (if this is not checked, resources that have expired are not shown).

Reservations Reports take manual reservations into account.

Numerous bug fixes.

Version 3.08 – 13 September 2005

Added Banquet Seating as a facility for resource having the Conference\Function Venue category.

Version 3.08 – 1 September 2005

Replicator sends an e-mail to requestors, acknowledging requests received if resources are not allowed to respond automatically.

Version 3.08 – 22 August 2005

Replicator now imports requests sent via www.maxiquote.com. Requests are processed and responses are e-mailed to the requestor.

Version 3.08 – 10 August 2005

All Reports that contain time on the x-axis now shows a defining vertical bar for weekends.

Suppliers e.g. Tour Operators now have the facility to forward requests on behalf of clients. This can be done by opening the request in the “View Request” form and clicking the “New Note for Client” button, which creates a note containing user and request details. The supplier must be selected manually.

Version 3.08 – 15 June 2005

Buttons on the following forms have been changed from buttons to Icons: Address Book, Day Diary, Week/Month Diary, Tasks and Request List.

A new button [image] on the Tasks form now opens all Notes for the Contact linked to a selected Task. A “Synchronise Notes” checkbox is also available to refresh the notes whenever a task is selected.

Version 3.08 – 10 June 2005

Clients can now be attached to Requests. This feature allows for easier handling of Requests made on behalf of a client, with searches for requests linked to clients and creation of notes on the Request List and View Request screens.

Categories of groups are now displayed in Groups drop-down lists and the Group List Box on the New/Edit Contact form

Keyword searches on the New Requests form gives a more powerful search on Suppliers.

Column widths and sort orders are now saved in the Request List form.

Version 3.08 – 1 June 2005

Productivity Manager now allows a maximum of four attachments to be attached to notes. These attachments are sent out with e-mails and templates. Attachments attached to Templates linked to Prices will also be sent with Reservation Responses.

Version 3.08 – 3 May 2005

Reservations module released.

Version 3.07 – 29 December 2004

Major change of database from ID (long) to IC (text) key fields.

Export and Re-Import Master Reservations Suppliers list.

Version 3.06 – 23 November 2004

Fixed PMBug-726: Users can now easily cancel docking if the server database is not found.

Fixed PMBug-730: Travel Time on appointments can now go up to 12 hours.

Fixed PMBug-731: The default search dates for the Report “Going out or away? Print your Appointments…” has been changed to the current month.

The Month View diary now shows a portion of the description instead of the activity.

Version 3.06 – 20 October 2004

A new feature for secretaries has been added to PM. Secretaries can now view the diary of the managers to whom they are assigned. They can now create, edit, view, accept or reject appointments on behalf of the manager, click here for more.

Fixed PMBug-720: PM does not allow reports if a default printer is not specified.

Fixed PMBug-722: The combo box in the diary now show sub-ordinates more than one level down.

The name of the “Time Periods per day” graph has been changed to “Appointment Times During the Day” and the “Total Appointment Times per day” graph has been changed to “Total Appointment Hours per Day”.

Version 3.05 – 22 September 2004

Manager Appraisal Form and User Points Form and Report now work correctly with SQL Server.

Fixed PMBug-699: Program now checks for SQL Server 2000 or later and if SQL Server 2000 is installed, Service Pack 3 or later is required.

Version 3.04 – 17 September 2004

Fixed PMBug 704: Owners of appointments were notified that they have invited themselves to an appointment if the appointment was changed by another user and the owner was set to pending. The message now says that the appointment has changed.

Fixed PMBug 705: Owners of appointments can now assign ownership of their appointments to other users.

Fixed PMBug 707: PM now replicates appointment acceptances and rejections when a user at Head Office accepts/rejects an appointment made by a user at branch who is on partial replication.

Fixed PMBug 712: The Self-Appraisal Pie Chart now represents negative slices. Slices with a radius of half the size of a normal slice denote negative points for an activity.

Fixed PMBug 715: The start time of appointments now shows a 24-hour clock on the snooze window.

Upgrader now sets all target files to read/write when copying in case they are read-only.

The Self-Appraisal Points Bar Graph now shows the bar to the left of the vertical zero line if the user has negative points for an activity and right of zero if positive.

Version 3.03 – 14 September 2004

Fixed PMBug 669: “Check Times” on the Recurring Form now works correctly. Will now check availability for all new recurring appointments in a series. Buttons are now enabled or disabled accordingly.

Fixed PMBug 679: The E-Mail (Bypass Security) option on the menu is greyed out if the user is running Microsoft Outlook in IMO mode.

Fixed PMBug 677: Replicator now advises us when there was no data to export during manual exports.

Fixed PMBug 695: The user can now enter negative points for activities, user points and manager appraisals. Manager appraisal points have to be between –10 and 10.

Fixed PMBug 710: Marking an unaccepted Appointment as "Done" on Appointment Daily did not save when the check box was clicked. PM now saves the change immediately.

User Points, Activities and Manager Appraisal forms now allow for easier navigation using Ctrl+Right, Ctrl+Left, Up, Down, Enter, Shift+Enter, Tab and Shift+Tab.

Version 3.02 – 27 August 2004

Fixed PMBug-686: About on Setup now has new e-mail and website information.

Attempted fix of PMBug-692: “Permission Denied” on Upgrader – the program will retry 10 times before complaining in case the target program can be over-written. The user can retry again.

Fixed PMBug-693 and PMBug-694: Error in Sub SetRSource in frmApptWeek – Invalid Control Array Index – this only occurred when there was an appointment on a Sunday and the user selected “Show Free Time” on week view.

Fixed PMBug-690: Productivity Manager Licenses are now dated to the nearest minute. Productivity Manager Licenses contained the site update date but not the time. Thus if you re-issued the license for a branch on the same day, the new changes didn’t "take".

Fixed PMBug-689: Address Book now behaves correctly with regard to not displaying contacts, which are private and not in their Downline, to users with Medium Access.

Fixed PMBug-688: Notes attached to a contact marked 'Private' can now only be viewed by the Owner of the contact and by Users with High Access.

Fixed PMBug-687: “Other” is now the default note type when creating a new note from the Address Book.

Fixed PMBug-672: File > Import has been improved and now handles CSV exports from Outlook and Excel even if these contain multi-line fields (where the user has pressed Enter to get a new line, for example in addresses). Enters (Line Feeds) are converted to commas on import. The maximum number of fields to import has increased from 50 to 100. Dates “0/0/00” are saved as Null. How to Import…

Fixed PMBug-633 and PMBug-666: “Error in Sub Form_Load on frmSplash – Object was unloaded” when starting PMReplicator automatically on a slow PC.

Replication and docking data transfer have been thoroughly debugged, and improved as follows:

When docked or undocked, the title bar reflects the name of the server or local database respectively, so that you can see at a glance whether you are docked or undocked.

If you are docked and close the program, it used to do the transfer of data and then open all the forms again. It now just does the transfer, so it shuts down more rapidly.

If you are logged on as Administrator and dock or undock, you have to log on again. If you are logged on as a User, and dock or undock, you stay logged on as that user.

We now re-check the License each day: This fixes PMBug-624: “The License only gets checked at start-up – users can run for several days into the new month by leaving the program running.”

Docking users now check the Program Version on the Server – they can upgrade their Productivity Manager from the server, or upgrade the Server if they have a more recent version. Even if their database is not on the same path as the program (though this is recommended) it does not try to update a copy of the program on the local database folder, since as a docking user it is a one-user PC.

Version 3.01 – 5 August 2004

A new option has been added: Setup > E-Mail > Outlook (bypass Security) to optionally evade the nagging screens that pop up in Microsoft Outlook from 2000 SP2 (Service Pack 2) onwards asking whether you want to allow e-mails to be sent. These still appear if you choose Setup > E-Mail > Outlook (the default).

WARNING! Outlook 2000 must be running in “Corporate or Workgroup" (C/W) mode for bypass Security to work, otherwise Productivity Manager will crash! Look at your Outlook's Help > About and if you see, under the version number, "Internet Mail Only" (IMO), you must set it to C/W mode instead. Do this as follows: In Outlook, use Tools > Options > Mail Delivery > Reconfigure Mail Support and choose "Corporate or Workgroup". This problem does not occur in Outlook 2002 (XP) which always uses C/W mode.

Version 3.00 – 3 August 2004

Outlook Inbox Automation implemented: File > Replication screen has changed and now allows scanning of the Outlook Inbox and automatic saving of -PMXfer- attachments. Replicator updated to suit the above.

To implement the new scanning, click File > Replication and turn on Outlook Inbox Scanning (at the top). You must have Microsoft Outlook installed as your default e-mail package for this and the automatic e-mail sending to work.

Version 2.23 – 16 July 2004

Fixed PMBug-660: Invalid Property Array index opening Address Book on blank database.

Fixed PMBug-654: Group pie legend runs into bottom margin.

Extra error-reporting put into Login Form to trap BOF/EOF error on Docking.

Version 2.22 – 10 July 2004

Three new reports have been added to the Reports > Activities sub-menu: Activities Group Pie Chart without travel, with travel, and travel only. The Reports Search form has been speeded up and made more efficient.

Version 2.21 – 2 July 2004

PMBug-638: Various domain and e-mail addresses have changed.

Trial fix for PMBug-517 and PMBug-549 on Upgrader: Sometimes when a user tries to upgrade, they get a Permission denied error. This only happens occasionally and can happen on a PC and then be fine when you try later. Upgrader will now try 10 times before it complains.

Fixed PMBug-575: All users can now set other users as the owners of their Contacts. Low access users can do this with their own Contacts, medium access users with their own and subordinates’ Contacts, and high access with all.

Fixed PMBug-578: "Cost" in the Appointment-Contacts (ApptContacts) table was not replicating.

Checked PMBug-640: You can't snooze a Task that is overdue! This is by design. Open it and change the due date/time.

Fixed PMBug-641: Address book searches by default show surnames and now also first names alphabetically.

Fixed PMBug-580: Travel enquiry requests did not import – Error in Sub UpdateTasks on modComms: Data Type Mismatch in Criteria Expression.

Fixed PMBug-591, 603 and 631: On the Detailed Tasks report, double-click to drill down and you error: Invalid Use of Null.

Fixed or unable to reproduce PMBug-609: Create an appointment with a Resource, with a cost for it. Run Resources Pie Chart. Drill down on a slice. Drill down on the appointment. Cost does not show, although still in original appointment.

PMBug-604: Added subheading for Group Name to the report “Printing (submenu) > Contacts in a Group”. Contacts are now sorted into their groups. If there are several groups with the same name, they are treated as the same group when you select All Groups.

Fixed PMBug-643: The notification you that you have been invited to an appointment now also tells you whether your diary is open at the requested time, or says: “WARNING: This clashes with an existing appointment!”

Version 2.20 – 25 June 2004

You no longer need to turn off the checkbox “Current Contact's Notes Only” before merging Contacts using drag-and drop.

The “View Notes” button on the Contacts form now functions slightly differently: It does not turn the “Current Contact's Notes Only” (Track Notes) checkbox on; you can therefore use it to view the notes for just the selected contact without causing notes for contacts selected subsequently to be tracked too.

Opening of the Notes form (in conjunction with Notes Tracking or otherwise) is now faster: The combo box of contacts is filled only when needed.

The release number of Productivity Manager now shows on the title bar. The database name (also on the title bar) is shown earlier, before login, so that multiple database users know they are logging into the correct database.

On the following reports, The rights for Medium Access have changed from “Only Subordinates” to “Own and Subordinate”: Activities Pie Charts, Activities Breakdown, Detailed Tasks and Linked Appointments, Task Summary, Show Completed Appointments, Activities Summaries (3), Time Periods per day (Graph), Total Appointment Times per day (Graph), Meetings, Bookings and Billing submenu, Where is everyone?, Those behind on Timesheets?. The report “Going out or away? Print out your Appointments (and Contacts)” now has the same security levels for past appointments as it had for future ones. “Subordinates” now handles all levels of subordinates, not just direct subordinates.

The Reports Search form has been tightened up and no longer displays Contacts when this is not appropriate for the report in question.

Fixed PMBug-581 and PMBug-564: Merge 2 records where the contact belongs to the same group. Then open the merged record and you will see the contact now belongs to that group twice.

A new Combo box, Group, has been added to the Edit Contact form, to make it easier to add the Contact to a group. Using the mouse, click on the Combo box’s q button and then on the group you want. To add a Group using the keyboard, type the first few letters of the group and/or use the Ó/â arrow keys to select the group, then press Enter, + (plus), or Ctrl. The ê button is an alternate way to add items.

Version 2.19 – 15 June 2004

The checkbox “Current Contact's Notes Only” has been moved from the Notes Form to the Address Book form. If it is ticked, the last-active Notes form will display notes for only the selected Contact (PMBug-614).

Fixed bugs PMBug-629, PMBug-597, PMBug-588: "Editing Wrong Contact" Bug. When a Contact or User was viewed or edited from the “Create Appointment” or “Create Task” form, the Address Book treated that person as the default person to be edited, deleted, or for whom Notes were to be viewed.

Fixed PMBug-599 (FlexGrid problem): When trying to delete the last contact from the Contacts window (for a particular search) you receive the message: “Can not remove last non-fixed row”.

Version 2.18 – 2 June 2004

Names of Security Levels have been changed from “Senior Manager” to High Access, “Manager” to Medium Access, and “User” to Low Access. All levels are collectively referred to as “Users”.

Security for Diary Views: Low Access Users can see their own Dairy but not those for other users; Medium can see their own and subordinates’ diaries; High can see everyone’s. All Users including Administrator can see all Resources’ diaries.

There is enhanced error-trapping in the Splash Screen, and in the Load and Activate events of all forms.

Where there are users with duplicate names, their internal User IDs are also shown in the combo boxes in the Diary (all views). Users deleted but awaiting replication of the deletion, are no longer shown in these combos.

Version 2.17 – 12 May 2004

Fixed bugs: PMBug-601 and PMBug-605 (Difficulty making appointments for Resources, error "You cannot add a record because a related record is required in table 'Contacts'."), and PMBug-608 (where after Ticking a Resource Appointment as Done and then changing the "Appointments For" combo box, "Done" does not "take", even though it asks to save). Also fixed PMBug-607 (Selecting Diary - 'Week View' either shows a month or working week view).

Contact Bookings Report will now report Resources that are not connected to a Contact.

Version 2.16 – 27 April 2004

List boxes showing Users and Contacts have been debugged throughout the program: Previously some people would not appear if they had null Job Titles.

The Notes section has been considerably revised. The menu item, Notes > New Note, and a new button “New Note” on the Contacts form, now bring up a new form dedicated to creating a new note. You can e-mail from this form. If the e-mail fails for any reason, you can click the e-mail button again. The old “View Notes” form has also been enhanced, and now asks whether the e-mail was successful – if not, you can keep trying. Both the “New Note” and “View Notes” forms will request an e-mail address if your recipient does not have one – previously nothing happened. To prevent the “Overflow” error (too many notes to display), the “View Notes” form will now display the first 25 notes found for the selected contact or search: The default (initial) sort order has been changed to “Date-Time Descending” – this causes the latest 25 notes to display, with the most recent at the top. You can of course change the sort order by clicking in the relevant column heading, e.g. click on the “Date-Time” heading to display the oldest 25 notes. The “Overflow” problem can still occur if you add more than three new notes to an existing search, but the error message is now more user-friendly, and a Refresh will let you keep adding notes (or you can use Notes > New Note or “New Note” on the Contacts form).

Version 2.15 – 16 April 2004

Reports have been extensively debugged for the SQL Server back-end, and the SQL Server script brought up to date.

Version 2.14 – 28 March 2004

Added a new menu, Reports > Printing. Moved the report Going out or away? Print out your Appointments… there, and added two new reports, My Notes for Selected Contacts… and Contacts in a Group…

Modified the report User/Resource Appointments With a Contact... to show travel, non-travel (“Useful”) and Total time separately. Took out “From” and “To” times for total lines.

Added drilldown on report View the Activities attached to a Contact… and took out the “Done?” column which does not apply to Contacts. The Hierarchy Report wasn’t running from the menu –fixed this.

Fixed a bug in Replication where Notes were not being imported correctly (“Enters” come through as “//”). Fixed some bugs that crash the program if a child window is maximized and the main program window is made very small.

Version 2.13 – 12 March 2004

Fixed bug on the Diary’s Week and Month View: “Item cannot be found in the collection corresponding to the requested name or ordinal”.

In the Create Appointment window you can now stop the Invitee list filling (for example if you select everyone in all groups) by pressing Esc or clicking Cancel. Previously it sometimes crashed the program. If the invitee list is not in the process of filling then Esc and Cancel still take you out of the Appointment.

Version 2.12 – 10 March 2004

New menu item: Settings > E-Mail > Use HTML CR-LF. Try it both ways (on and off) if your e-mails omit your line feeds. This only applies to Settings > E-Mail > Other.

New menu item: Settings > E-Mail > Maximum Addresses per Message: This allows you to limit the number of e-mail addresses per message. As many messages will be created as are required, each with not more than this limit of addressees. The limit will be set to 40 by default; it can be increased if your ISP allows more addressees per message, or decreased if not. Use 0 to allow an unlimited number of addresses.

When you try to send a mass e-mail from the Address Book, it will tell you about the latter new feature.

Also, if you set "Maximum Addresses per Message" to 1, the address will go into the "To" box instead of BCC: There is no point in sending individual messages to a BCC!

Version 2.12 – 8 March 2004

Charts: New multi-page pie charts: Legend takes as many pages as required, with pie chart plotted on each. Drilldown for “Travel Only” pie fixed. Hours per day graphs now show weekends

When setting Group Appointments you will get a warning if a group search turned up no-one, and be allowed to search all groups. You now can't create an appointment with no-one attending.

Address Book: You now can’t merge a User into a Contact, or vice versa. Fixed bug where if you had two Users with the same name and surname, you always saw the address book for the top one, no matter which one you selected.

Version 2.11 – 24 February 2004

Fixed bug whereby a Branch site could become inactive (set by monthly license) but Head Office would continue to try to replicate with it. Other minor bugs fixed.

Task Refresh: When you accept a Task due today, Productivity Manager automatically refreshes the Task List.

Version 2.10 – 6 February 2004

New Tools Menu incorporating the previous Bookings menu and new Basic Appraisal Manager/Performance Monitor items: See The Tools Menu for details.

Task Automation: When you mark a Task as done (either in the Task List or the Task Edit form), a message box will pop up asking if you would like to create and view an appointment from this Task. Reply: Yes – create an appointment and view, No – create but do not view, or Cancel – do not create an appointment.

Dealing with Duplicate Contacts: In Productivity Manager we allow more than one contact with the same name and surname. If they are actually the same person, it is possible to Merge Records using a simple Drag and Drop in the Address Book. First, in the Notes Window, turn off “Use Current Contact" (changed in Version 2.20). Then drag the contact that you want to disappear, onto the contact that must remain. Only blank fields in the target will be replaced by corresponding filled-in ones from the dragged record, so no data in the target will be lost. All notes, appointments, etc associated with the dragged record will be reassigned to the target.

There is a new button, Find Duplicates, on the Address Book. This allows you to search for Contacts and Users who appear to be duplicates, either by Last and First Names, Last Name and first Initial of First Name, or Last Name only. When you click on one of a set of possible duplicates, the whole set is highlighted in light yellow. You can then simply drag one of them and drop it onto another as above.

A new button “Send as E-mail” has been added to the Notes form. Click this and an e-mail will automatically be created using the text of the note as the body of the e-mail and the Contact to which the e-mail is attached as the Recipient. The (new) “Type” field will automatically be changed to “E-mail Sent”.

Version 2.09 – 11 December 2003

Activities are now shown in a grid. This fixes the Overflow bug which occurred when you had more than 109 activities. The grid can also be scrolled using the mouse wheel. Points have been added to Activities.

Version 2.08 – 28 November 2003

Sending E-mail from the Address Book now also gives users the option to copy the E-mail Addresses onto the clipboard, this allows users to create their own e-mail and paste the addresses into the ‘To’, ‘CC’ or ‘BCC’ boxes.

Version 2.07 – 3 November 2003

New Menu: Bookings with New Request and View Request windows.

Version 2.06 – 30 October 2003

The Reports menu has been radically reorganised into submenus, and replaces the old Reports and graphs menus.

New reports: Bookings Grouped by Resource/User, detailed by Contact; Bookings Grouped by Contact, detailed by Resource/User; Resources Pie Chart (Revenue) and Resources Pie Chart (Usage)

Version 2.05 – 8 October 2003

Group Appointments now uses a grid and allows costs to be entered for Resources (mainly) and Users.

Version 2.03 – 8 September 2003

Replication has a new option for how often, “Work Hours”. The sub-option for this is “Interval”. With this set the program will attempt to send a replication file during company working hours (7 days a week) at the specified interval in hours (e.g. 0:30 (every 30 minutes, 2:00 (every two hours)) starting from the time PMReplicator started, or the start of Work, whichever is later.

Replication will send nothing if there is nothing to send. Previously it sent a blank e-mail as confirmation that replication was running; now you have to look in the replication log file (PMReplicator.Log) to see if there was nothing to send.

Allow Upgrader to work using folder names that contain commas (new Upgrader 2.01).
Fixed bug in replication of Appointment times created by Language Localisation.

Version 2.02 – 29 August 2003

Language Localisation: The ability for Productivity Manager to operate in different languages. Afrikaans Demo available.

Version 2.01 – 24 July 2003

Problems with Recurring Appointments have been fixed.

Version 2.00 – 11 July 2003

The program now works both with a SQL Server 2000 back-end, and with the standard MDB back-end as before. Two Server Setups are available, one for each.

Archiving has been activated.

You can now e-mail to Contacts. Click the “e-mail” button on the Contacts form after you have searched for your contacts. You will be asked whether you want to mail to just the selected contact, or all contacts in the list.

E-mailing gives a choice of e-mail program: Outlook or Other. This happens the first time you try to send an e-mail. Thereafter you can change your choice by clicking the menus Setup > e-mail.

Editing Users, when a user is given an end date (i.e. leaves the company) you will be given an opportunity to reallocate all their outstanding Tasks and Appointments, and the Contacts they own, to their Supervisor.


Starting the Program

To Start, click Start > Programs >Productivity Manager, or double-click the Productivity Manager Icon on the desktop (if one has been installed for you).

This chapter consists of the following topics:

· Splash Screen

· Login (including Changing Password)

· Lockout if not up to Date

· Main Window


Splash Screen

The yellow "Splash screen" appears as you start Productivity Manager.

It gives the program details including the version number and date, copyright details and warning, and the database address. The login screen appears a second after the Splash screen appears on start-up.

To check the program version you can also call up the Splash screen by clicking Help > About in the main program window. In this case, click the Close button or press Esc to close the form.


Login

On starting Productivity Manager, you are prompted to log in when the Login form appears.

Select your User Name from the drop down list and type your password, then click OK.

If the password is invalid you will asked to try again.

To log in again in a different capacity, click File > Login from the Productivity Manager window.

Logging in for the First Time

Your Administrator must give you a password.

If it is blank, you must change the password before the program will let you in - see below:

To Change Your Password

Do this while logging in - if you are already logged in, select File > Login.

Type your current password then click the Change Pwd button instead of clicking OK.

This will open the Change Password form.

Type your new password and press Tab to move to the "Confirm Password" field.

Type the new password in the "Confirm Password" field.

Your new password must be at least five characters long and can consist of letters, numbers and special characters. Passwords are not case sensitive (it doesn't matter whether you type in upper or lower case).

Click OK.

If the new password and the confirmation password are not exactly the same you will be asked to try again.

To cancel logging in, click the Cancel Button. You will not be logged into the program and will only be able to use Help and a few items on the File menu.

If your times are not up to date, you may be locked out of parts of the program until you have corrected this – see next.


Lockout if not up-to-date

When the Administrator set you up as a user, they entered a certain number of hours which you are expected to put in for every working day.

Every working day you must create Appointments totaling at least the required number of hours (including travel time), and mark them as done.

If you do not create Appointments for the required total time, or do not mark them as done, you will be locked out of the Address book and prevented from creating new Tasks.

To unlock the system, open Appointments, call up the incomplete day, make sure that you have appointments totaling to at least the required time, and mark them as done. Then click File > Unlock. The system will unlock and you may proceed.

In exceptional circumstances, the Administrator may override the system and approve days that are incomplete. To do this, the Administrator clicks Setup > Users, double-clicks the user, and changes the "OK to" date on the Edit User window.


Main Window

Main Program Window

The Main program Window has the title "Productivity Manager", with the Main Menu below it, and the Toolbar below that.

At the bottom of the window is the Status Bar.

The right-hand panels of the Status Bar contain your login name, user security level (Low, Medium, or High Access), the state of the CAPS and NUM LOCK keys, plus the date and time.

The left-hand panel of the Status Bar will contain useful information based on what you are doing at the time. Look here first for hints if you are stuck.

The Main program Window can contain other windows, known as child windows.

Child Windows are listed at the bottom of the Window menu. To swap to any open child window, click on it in the Window menu.

Most windows can be opened more than once: Use the "New Window" command on the appropriate menu. For example, you could open two Diary windows and use the one to look at your own appointments, and the other to look at those for a colleague.


Menus and Toolbar

The Menus and the Toolbar

The menus (File, Edit, View, etc.) appear across the top of the program under the Title Bar. To open a menu with the mouse, click on it. To open a menu using the keyboard, press Alt and then the underlined letter in the menu, e.g. F for File. The Toolbar (underneath the Main Menu) can only be used with a mouse.

See below for these topics:

· The File Menu

· The Edit Menu

· The View Menu

· The Calendar Menu

· The Diary Menu

· The Tasks Menu

· The Contacts Menu

· The Notes Menu

· The Resources Menu

· The Reports Menu

· The Setup Menu

· The Tools Menu

· The Window Menu

· The Help Menu

· The Toolbar

The File Menu (Alt + F)

Login – The Login form appears. Select your User Name from the drop down list and type your password, then click OK. If the password is invalid you will be asked to try again.

To Change Your Password

Do this while logging in normally or if you are already logged in, select File > Login.

Type your current password then click the Change Pwd button instead of clicking OK.

This will open the Change Password form.

Type your new password and press Tab to move to Confirm Password field.

Type the new password in the Confirm Password field.

Your new password must be at least five characters long and can consist of letters, numbers and special characters. Passwords are not case sensitive (it doesn't matter whether you type in upper or lower case).

Click OK.

Dock – only available for Remote Users (single-license sites that are not Head Office). This allows the Remote User to temporarily attach to a Branch or Head Office database.

Print Setup – lets you choose the printer for Reports and Graphs.

Replication (Ctrl+R) – opens Replication Settings: This allows you to set the automatic settings for Replication, Export to, and Import from, other sites. Only applicable for companies that operate more than one site.

Import Contacts – Lets the Administrator Import Contacts from CSV (comma-separated variable) text files. You must indicate how the fields, from the file to be imported, correspond to the fields in the table of contacts, users and resources. The data is not checked for duplicates.

Archive – This allows the Administrator to remove old data from the database and write it to another file, which can then be backed up and removed from the system. Only data older than six months can be removed – you must specify the date up to which data must be archived. The form also lets you Dearchive, that is, re-import from a specified file, the data that was moved from the system to the Archive file. Archive files use a file extension of PMD. They should be backed up safely and removed from the server.

Exit (Ctrl+Q) ends the program.

<Top of Page

The Edit Menu (Alt + E)

Cut, Copy and Paste work as in other Windows programs. Text must be selected before it can be Copied or Cut, and selected text will be replaced by a Paste. To select text, drag over it with the mouse, or place the cursor at one end of the text and then use Shift + Arrow Key to select. . If nothing happens when you paste, check that it is possible to edit the field.

When a pop-up dialog box is on the screen (e.g. Edit Appointment, New Task, Edit Contact) the menus are not accessible. In this case use the shortcut keys Ctrl+X, Ctrl+C, and Ctrl+V respectively to Cut, Copy and Paste.

You can use Copy from Preview for e-mailing Reports and Graphs.

Copy Record – Available for copying Contacts only: Copies the contact's full details to the clipboard.

Duplicate Item – Makes a copy of the selected Appointment, Task, or Contact, and allows you to edit the copy as a new item.

<Top of Page

The View Menu (Alt + V)

View allows you to view and edit existing data, and add new data. Menu items are greyed out if that window is already open, either to Add or View. For details of individual items, see Viewing and Editing data. Consider a "view" as a set of Windows tiled in particular positions. Two standard views are provided viz. Day Diary – Calendar – Tasks and Week Diary

Day Diary / Calendar / Tasks – Diary (day view) on left half of program window, calendar at the top of right half, task list remainder of right half.

Week Diary / Contacts – Diary (week view) on left half of program window, Address book (Contacts) list on right half.

Save Settings on Exit – Selecting this will show a tick on the Left Hand Side when View is again selected. Reselection will remove the tick and settings will not be saved on exit.

Save Windows on Exit – Selecting this will show a tick on Left Hand Side when View is again selected. Reselection will remove the tick and open windows will not be saved on exit.

Reset Defaults – resets the active form and its controls to their default sizes, also resets the colour for Forms to the default colour.

<Top of Page

The Calendar Menu

Open – Opens the Calendar if none is open; if one is open, brings the last-used one to the front.

New – Opens a new Calendar window.

<Top of Page

The Diary Menu (Alt + D)

Open Window – Opens Diary window of Appointments in Today View if none is open. If one is open, brings last-used one to front.

New Window – Opens a new Diary window viewing Today.

Search – Search for a specific date or Appointment text.

New Appointment (Ctrl+A) – Opens the New Appointment form.

The next three items below are only available if a Diary window is active:

Edit Appointment – Allows you to modify an Appointment. Only available if a Diary is open and an appointment is selected.

Accept Appointment – This allows you to accept an appointment to which you have been invited. Only available if a Diary is open and an appointment is selected.

Reject Appointment – This allows you to turn down an appointment to which you have been invited. You can give a reason. Only available if a Diary is open and an appointment is selected.

Day (Ctrl+D) – Opens an Appointments window for one day, showing uncompleted appointments and available times for today. Previous and future days may be selected.

Two Days – Opens Two days View; showing appointments for today and tomorrow. Changing the date shows the day chosen and the following day's outstanding appointments

Work week – Opens Work Week View (Monday to Friday) showing the appointments for your work week; governed by the day selected.

Week (Ctrl+W) – Opens Week View (7 days) showing the appointments for a calendar week; governed by the day selected.

Month (Ctrl+M) – Opens Month View, governed by the day selected, showing the appointments for 42 days. If the first day of the month is not a Monday then the last days of the previous month will be shown at the start (in grey). The first few days of the next month are shown at the end of the calendar (also in grey).

<Top of Page

The Tasks Menu (Alt + T)

Open Window (Ctrl+T) – Opens "My Tasks Form" if none is open, if one is open, brings last-used one to front.

New Window – Opens a new "My Tasks" form.

Search– Search for a specific date or Task text.

New Task – Opens New Task Form for creating and assigning a new Task.

Edit Task – Available if a Tasks window is open and a Task is selected. Allows changes to be made on pop-up Edit Task form.

Accept task – Available if a Tasks window is open and a Task is selected

Reject Task – Available if a Tasks window is open and a Task is selected

<Top of Page

The Contacts Menu (Alt + C)

Open Window (Ctrl+F) – If an Address Book window is already open, just brings the last-used one to the front. If none is open, behaves like New Search. The fields shown are Last Name, First Name, Job Title, Tel, Fax, Cell, E-Mail, Private, Locked and Owner. To edit these details double-click the appropriate contact on the form to open the Edit Contact form.

New Search – Opens the Contacts Search form. Here you can search for contacts satisfying a number of conditions. They will be remembered for your next search. When you click OK, an Address Book window opens and displays the search results. If an Address Book window is already open, it is re-used for the new search.

New Window Search – Use this if you want to display more than one Address Book window at the same time. It opens a new Address Book window (instead of using an existing one) and then opens the Contacts Search form for it. If you want to start a new search instead of modifying the previous one, click Reset.

New Contact – Opens a blank Add/Edit Contact Form.

Edit Contact – Opens Add/Edit Contact Form. Only available if a Contacts window is open and a Contact is selected.

Delete Contact – Only available if a Contacts window is open and a Contact is selected

<Top of Page

The Notes Menu (Alt + N)

Open Window (Ctrl+N) – Opens a Notes window if none is open, if one is open, brings last-used one to front.

New Window – Opens a new Notes form.

Search – Opens Search form offering a choice of criteria to be satisfied.

New Note – Opens the “New Note” form for you to select the contact and owner and make your notes. You can also e-mail the note from here if the contact has an e-mail address.

Edit Note – Allows a note to be changed and is only available if a Notes window is open and a Note is selected, and the user logged on is “Administrator”.

<Top of Page

The Resources Menu (Alt + R)

Open Window – Opens Resources window.

Search – Opens Search Resources.

New Resource – Available if user is an Administrator.

Edit Resource – Available if a Resources window is open and a Resource is selected.

Delete Resource – Only available if a Resources window is open and a Resource is selected.

<Top of Page

The Reports Menu (Alt + R)

All items that end in ellipses (...) lead to a search form where you can select the criteria for your report, and then Preview it (view on screen) or print the entire report immediately. Items without ellipses have no search criteria and display immediately in Preview. Users with a security level below High Access will not have access to all features.

The Reports Menu has the following sub-menus: (click on hyperlink for details)

Activities sub-menu

Tasks sub-menu

Diary sub-menu

Meetings, Bookings and Billing sub-menu

Miscellaneous sub-menu

Telephone sub-menu

In Preview, Reports and Graphs allow you to Drilldown to more detailed data by double-clicking on the item concerned. There are also a number of features you can change, such as the Font and size, margins, printer, and zoom. Click here for more details (click the “Back” button to return).

<Top of Page

The Setup Menu (Alt + S)

It is mainly the Administrator who uses this menu, when setting up the Company.
See Setting up your Company.

Company – Opens Setup form, for example for User Field names, default working week. This item is available only if the user logged on is Administrator.

Holidays – Opens that window.

Activities – Opens that window.

Groups – Opens that window.

Users – Opens Users window.

New User – Opens the New User window. Available only if the user logged on is Administrator.

Edit User – Only available if the Users window is open and a User is selected

Note: Users cannot be deleted, only deactivated.

E-Mail > Outlook / Outlook (bypass Security) / Other – Specifies the e-mail program to be used, for example for e-mailing to contacts and users, and Replication. The first time you try to send e-mail from Productivity Manager on each PC, it will ask you which program you wish to use. In the case of Replication, Outlook handles attachments, but if you are using “Other”, you have to attach the replication files manually. Depending on your version, Outlook Express may or may not work with the “Outlook” setting: Try it first and, if it does not work, switch to “Other”. The option: Setup > E-Mail > Outlook (bypass Security) lets Productivity Manager evade the nagging screens that pop up in Outlook 2000 SP2 (Service Pack 2) and later, including Outlook 2003 (XP) and later, asking whether you want to allow e-mails to be sent. WARNING: Using bypass Security with Outlook 2000 running in "Internet Mail Only" (IMO) mode will crash Productivity Manager and Replicator! Set Outlook to “Corporate or Workgroup" (C/W) mode instead: More Information.

E-Mail > Use HTML CR-LF – Try it both ways (on and off) if your e-mails omit your line feeds (“Enter” key). This only applies to Settings > E-Mail > Other.

E-Mail > Maximum Addresses per Message: – This allows you to limit the number of e-mail addresses per message. As many messages will be created as are required, each with not more than this limit of addressees. The limit will be set to 40 by default; it can be increased if your ISP allows more addressees per message, or decreased if not. Use 0 to allow unlimited addresses.

Colour – Allows you to set your own colour for forms. Choose black to reset to default. The colour is applied to the active form, and then to other forms as they are opened. The colour is saved immediately and is not affected by View > Save Settings on Exit.

<Top of Page

The Tools Menu (Alt + T)

This menu contains items for Self-Appraisal, Manager Appraisal, and Bookings:

Set Points for Activities – For self-appraisal, the points are allocated here for each user’s activities, plus each user’s Value and Points targets (light blue rows at the top). Click Search to select other users, depending on your security level. Click Preview to view and print the allocation of targets and points set here.

Navigating through the grid

You can use Enter, Tab and the arrow keys to move around in the grid in Edit mode. Enter moves you one cell down and Shift+Enter one cell up. Tab moves you one cell to the right, unless you are on the last column where it would move down one row and to the first column. Shift+Tab moves you one column to the left, unless you are on the first column where it would move up one row and to the last column. Use Ctrl+Right Arrow to move right one column, Ctrl+Left arrow to move left one column, Up arrow to move one row up and Down arrow to move down one row.

User Activity Points Pie Chart – This allows the user to view the contribution to their total points from each of their activities over a period that they select. The target and total are also shown. Points are calculated as the sum of (the number of Acts (set per appointment) times the number of points for that Appointment’s Activity). The chart shows a slice half the radius of a normal slice if the user has negative points for an activity.

Self-Appraisal Points Bar Graph – At the top are two bar graphs comparing the user’s target and total points. The total is shown green if it has met the target, red if not. Below, the contribution is shown from each of the user’s activities, with bars comparing the amounts against each other. The user can select a period. The graph shows the bar to the left of the vertical zero line if the user has negative points for an activity and right of zero if positive.

Self-Appraisal Value Bar Graph – This is identical to the Self-Appraisal Points Bar Graph except that it shows Values instead of Points. The values are totalled from the values field (top right on the Appointment Edit form) filled in for appointments of which the user is the owner, over the selected period. The appointment owner is used so that the value from an appointment is allocated to a single user even if several are invited to the appointment.

Manager Appraisal Categories – Here the High Access User or Administrator sets up the categories (attributes) on which employees are to be evaluated by their managers. For plotting purposes a colour can be allocated to each attribute, and the order in which they will be presented.

Manager Appraisal –This is where a manager appraises his staff, according to the categories set above. Points out of 10 are filled in wherever relevant. Select a period (only one period can be set, and applies to everybody – assessments for other periods are not saved). Click Search to select other users, depending on your security level. Click Preview to view and print the bar graph of points set here.

New Booking – Brings up a tabbed dialog box with three tabs: Welcome (introductory text), Enquiry (here you select the type of request: Tour, Travel, or Conference, then fill in the necessary details), and “My Details” (where you can edit the details that will be sent with your request). Click the “Next >>” button to move to the next tab, “<< Back” if you need to return to an earlier tab, or click the Tab itself. On the last Tab, the “Next >>” button is replaced by “Send e-mail”. Click this to send your request. A response will arrive by e-mail in due course.

To go the web site for General, Travel, or Conferences, click the relevant button at the bottom of the window. This will also change the text in the Welcome window.

View Bookings – Brings up a list of previous requests for the selected Owner (the person who sent the request). To view requests for a different owner, select that owner and click Refresh. To create a new request from an existing one, click the button Use. The New button will create a new blank request. Requests can also be deleted.

<Top of Page

The Window Menu (Alt + W)

The window menu lets you rearrange or activate the open windows. They are shown in the list at the bottom of the menu: Click on the one you wish to activate. The View menu has standard combinations of windows, and will also open windows that are not open.

Cascade – Arranges the open windows in a stacked form one in front of the other, allowing sight of the titles.

Tile Vertically – Arranges the open windows next to each another.

Tile Horizontally – Arranges the open windows one below the next.

Arrange Icons – Arranges the title bars of the minimized windows neatly at bottom left.

Window list – List of open windows. Click on the window you wish to activate.

.<Top of Page

The Help Menu (Alt + H)

The Help menu opens the Help file (Contents) and displays details about the program (About). Click Help > About for the program's version number before asking for support from Software Africa.

What’s New? – Latest information on changes to Productivity Manager.

Contents – This Help File.

About – Opens the splash screen showing license and copyright information. Click Close to close it.

Support – Gives the following information about Productivity Manager, your System, and available Support:

· Full version number of Productivity Manager

· Where to save Replication Attachments (Database Path)

· Serial Number, docking status, Database Path and File Name(s)

· Windows version, Build and Service Pack number

· CPU make and model

· Available and Total Physical memory

· Available and Total Virtual memory

· Names of Development Team.

· Email addresses: For technical support: help@softwareafrica.co.za.

For licensing, administration and accounts enquiries: info@softwareafrica.co.za.

· Web address for Updates: www.softwareafrica.co.za/productivity-manager.htm

Debug? – Use this for detailed logging if requested to do so by support staff. The logging levels are from 0 (minimal logging – the default) to 5 (extremely detailed).

View Log File – Opens the Log File created for debugging (ProdMan.log on the program folder). PM Replicator creates its own log file (PMReplicator.log), which can be viewed from PM Replicator’s main menu, and uses the Debug level set above.

Limit Log File Size… – Lets you set a limit on the Log File’s size or make it unlimited (100 KB is the default). If the file exceeds this size at the start of a run it is renamed (a zero is added at the end of the name) and a new Log file is started.

<Top of Page

The Toolbar

Each Item has its own icon on the toolbar. The toolbar and the menus are not accessible if you are in a pop-up dialog box (e.g. Edit a Contact, New Appointment, etc.).

Cut – Removes selected information and saves it on the Clipboard

Copy – Copies selected information to the Clipboard, from where it can be pasted.

Paste – Places the information that is stored on the Clipboard into your document, replacing the current selection. If nothing happens, check that the field can be edited.

Search – Searches in the active window.

Delete – Permanently removes the selected item from the current worksheet: Only works if you have the necessary authority.

Open Calendar – Opens the Calendar.

Open Diary – Opens the last View used i.e. Daily/Weekly/Monthly. If no view has been saved then the Daily view is used.

Open Tasks – Opens the last Tasks Window used. If no window is open then a new Tasks Window is opened.

Open Contacts – Opens the last Contacts Window used. If no window is open then a new Contacts Window is opened, with a new Search.

Open Notes – If no Contact has been selected the program offers to open the Contacts form first and then you may open Notes.

Open Groups – Opens the Groups Window.

New Request – Creates a new Booking Request (like Bookings > New Request).

<Top of Page


Using the Program

When you have logged in for the first time you will have three windows filling the Main Window: The Appointments Form (Day Diary), the calendar and My Tasks. On subsequent logins, if you left windows open, they will open again, otherwise the above windows will reappear.

You may close, size or drag these Forms (windows) to suit yourself. You can open multiple copies of most windows (use the "New Window" menu item).

The program consists of the following main windows:

Calendar: You may resize it to view one to twelve months. Double-click a date on the calendar to open your diary for that day. If a Tasks form is open it will show Tasks for that day.

Diary: This is a list of your Appointments, which you can create and edit individually. Various views are available, ranging from a single day to a full month. Appointments that you mark as done form your Timesheet. You have to mark appointments as done, up to the number of hours that you are required to work, before you will be allowed to proceed to the next day's work.

Tasks: This window lists tasks assigned to you, or that you have assigned to yourself, and allows you to edit them and create new ones. The difference between Appointments and Tasks is that Appointments have a specific start time and end time, but Tasks have a deadline. A given Task may produce, and be linked to, several Appointments. You can have group Appointments (invite several co-workers or contacts) but not group Tasks.

Contacts: These are people outside the company, with whom you deal. You can -and should- attach Notes to contacts giving the content of every interaction with them. When you deal with new people you should add them to the Contacts. Names of Contacts (and co-workers - "Users") will appear in various lists.

Resources: These are items available to you for business use. Examples include the Boardroom, meeting rooms, overhead projectors, and vehicles. When you set up an Appointment you can book available resources for the meeting in the same way as you invite users and contacts. Your Administrator should already have set up the Resources.

Users: These are you and your co-workers who use Productivity Manager. Each user is allocated a Security Level of Low, Medium, and High Access, depending on their level in the company and what they are allowed to do in Productivity Manager. Your Administrator should already have set up the Users.

Working with Productivity Manager

See following chapters for more details on using specific windows. Below we talk about common operations that you may want to perform:

Use Tasks: Create a Task for yourself or somebody else. If a task has been created for you, you may accept or reject it, and provide a reason. When a task is complete you can mark it as done and it will disappear from your list.

Work on Tasks: As you work on a task you will log appointments against that task. The easiest way to create an appointment from a task is to open both the Tasks and Day Diary windows, then grab the arrow button on the left of the Task and drag and drop it onto the appropriate time slot in the diary. You can then mark the appointment as done, so that it becomes part of your Timesheet.

Make Recurring and Group Appointments: You can make any new appointment a group appointment by ticking contacts, other users, or resources to invite. You will be told if users or resources are not available. You can also make an appointment recur according to a pattern, by clicking the button "Recurring". If you have been invited to an appointment it will show up in bold on your diary until you accept or reject it. If you have made a group appointment you can find out whether others have accepted or rejected, by editing the appointment again. You can open an Appointment and make a copy of it while editing it.

Monitoring Staff: The Reports and Graph menus let you do extensive monitoring of staff activities either as an overview or in detail, if you are a Medium or High Access User. If your security level is below High Access there are some reports you cannot run for yourself, but be aware that your superiors will monitor you.


Calendar

This Window opens from Calendar on the Menu Bar

Selecting Open from the drop down list shows a Calendar window.

If the calendar is hidden, select Open to restore it.

Select New from the Calendar menu to show a new calendar window. This allows you to have several calendars visible for very different months. You may need to move one of the calendars if you want to see both at the same time (grab its title bar and drag).

Use this form to select the day(s) that you wish to view in the diary.

Today's date is shown circled in red. Click on Today at the bottom of the calendar to display the current month with Today's date selected.

To view appointments for a particular day; double click on the date. The diary will immediately go to the selected date; the blue highlight is the day that is selected.

To Resize the Calendar point to an edge or a corner of the form: When the pointer changes to a double-headed arrow, drag the edge of the list box to change its width. Drag a corner to change the width and height simultaneously. The Calendar automatically adjusts to show whole calendar months. The minimum is 1 viewable month, and the maximum is 12.

To move to adjacent months, click the arrow buttons at top left and right. You can also click on the month and year to change them.


Working with Diary

The diary contains all the elements found in a traditional "Diary". You can make Appointments at any time of the day on any day of the year, invite participants to group meetings and reserve company resources required. You can add notes and set reminders, edit, change and cancel appointments.

This chapter contains the following topics:

· Create or Edit Appointment

· Group Appointments

· Recurring Appointments

· Day View

· Two Days

· Week and Work week

· Month View


Create/Edit Appointment

Create or Edit Appointment

Create a New Appointment

Click Diary > New or, on your Day Diary (Diary > Open) click the button New. The New Appointment form opens with some fields blank and others filled by default.

You will be required to fill in the details on the New Appointment form and click the OK button to accept, or Cancel to cancel the latest changes

For the functions of the fields see below.

Edit Appointment

Double-click an existing appointment on any of your Day Diary, Two Day, Week, Work Week or Month Views, or select Diary > Edit Appointment from the menu to show the Edit Appointment form. The current details are shown and may only be changed by the Owner. Other users may only view the details and change Accept, Reject, and Reason if they were invited.

The Appointment Fields

The Activity drop-down list contains pre-defined activities: Select the one that best applies to your appointment.

Priority is a default and can be changed: Choose A, B, or C

Description requires relevant and meaningful information concerning the appointment to be supplied.

Appointments have a Start date and time, and End Time, which may be edited. Travel time will automatically be added before the start time and after the end time when the time occupied by the appointment is calculated. You may change either the Duration or the End Time and the other one will adjust to suit.

In Location, the drop down list offers preset places where the appointment may be held. For a Group Appointment (Next>>) it lists the others invited and their physical addresses (if any). You can also type a location that is not in the list.

Accept is automatically ticked for you if you created the appointment. For Group Appointments (below) other invitees will use it to accept, or Reject? to reject, the invitation.

Use Reminder if you want to be reminded: Tick the reminder check box and select how long before the appointment you wish to be reminded.

When the appointment has been completed then tick the Done box to record it and make it appear on your Timesheet. Warning! Only the Administrator or a High Access User can change an appointment that has been marked done! (If this happens and a major field is changed, the appointment will be marked not done. Only the Owner can mark an appointment as done. To find out who changed the “done” appointment, and when, edit the appointment again and look at “Modified by” and “Modified On”.)

Private may be ticked if the appointment is of a personal nature and not Company business. Your Private Appointments can only be viewed by your supervisor or someone with a high Security Level. Private Appointments (marked Done) count towards your daily working hours – however your supervisor can draw reports and graphs that will show how much of your time is booked to “Private”.

Owner is the user making the appointment. Only the Owner (or the owner’s Supervisor, or a High Access User) can edit it later.

Click the OK button to accept the appointment (or changes) and close the form, or Cancel to cancel the latest changes and close the form.

Use the button Save and Copy to save the appointment and create a copy of it without closing the form. This is useful if you are creating a series of similar appointments. The appointment is saved, but the form stays open so that you can create another one. For the last Appointment of the series, click OK.

Task ID – Linking Appointments to Tasks

The Task ID box is filled in if you created the appointment by dragging a Task button from the Tasks List on to the Day Diary. If it is not filled in you can do so manually. Each Task’s ID is shown on the Edit Task form. If your company works with Tasks then you should make a habit of filling this in: Only Appointments that are connected to Tasks in this way are totalled when the time spent on the Task is calculated. Appointments with no Task ID will appear to have been done in pursuit of no Task, which in some companies may mean without authorization.

Note that if you created an appointment independently of a Task and want to link them later, you can drag the Task button from the Tasks window and drop it on the existing appointment.

For a repeating Appointment click the Recurring button to open the Recurrence form. See Recurring Appointments.

To set Group Appointments, click Group >> on the Create/Edit Appointment form, and see Next>> below…


Group Appointments

To set Group Appointments, click Group >> on the Create/Edit Appointment form (see <<Previous). The lower section of the Appointment form will fold out, revealing the Group Appointments pane. Here you can invite others to attend your appointment.

If you want to see people from a specific group (a group may be a Company, a Club, an internal Department etc.) then select that group from the drop-down list Groups. In the list of contacts, tick the people to attend the appointment. This list includes Contacts, Users (your colleagues) and Resources. Items selected will always appear in the list no matter which group is selected. Users will be required to confirm or reject the appointment (the appointment will appear bold in their Day Diary until they confirm or reject, thereafter the status chosen will appear in this list when you Edit the Appointment again).

To see all those who can be invited to an appointment click View All. The View invited option button (default) shows only those invited to the appointment. Invitees are shown ticked.

If you are creating an appointment for someone else but are not attending it yourself (e.g. A secretary creating an appointment for her/his boss) then remove the tick mark opposite your name in the list of people invited to the appointment.

Click the Check Time button to see if people and resources are free. Times will be checked for the normal working hours for the Users concerned, on their normal working days.

Resources are locations and other items (e.g. meeting rooms, overhead projectors etc) can be booked by having a diary for the "resource", which is treated like another user. The Contacts list can display Contacts, Users and Resources.

The list is displayed in alphabetical order by surname within categories. The categories appear in the following order: Invited Users, Invited Contacts, Invited Resources, Uninvited Users, Uninvited Contacts, Uninvited (available) Resources.

Resources are automatically marked as Accepted if they are available for the specified Time; if they are not available they are marked as Rejected.

After you have ticked all your invitees, you can return to the Location combo box and select one of the invitees, with their physical address, as the location for the meeting (or you can type other information). The Travel Time will adjust accordingly.

To the right of the Group combo box is a button with an ellipsis (…), Open Selected Contact. This will open the Contacts form showing details of the contact selected in the contacts/invitees list (below the Group Combo box). You will be asked to save the Appointment first. Use this if you find that the Contact you selected in “Location” has no physical address on the system. Fill in their address, close the Contacts form, and select them again in the Location combo box.


Recurring Appointments

If an appointment is repeated, you can set the number of times it recurs.

The Recurring Form is used to set how often an Appointment will recur and may be called from the Add/Edit Appointment Form.

The Start Date and Time will automatically be taken from the form. If the Start Date changes then the change will carry through to the Start Date for appointments.

At the bottom of the form the future recurring dates (up to 5) are shown, including the original. You can select as many recurrences as required or fill in the "Recur Until" date, and the other one will be calculated.

The Delete button deletes all future recurrences of the appointment. Confirmation is asked for.

You have various choices for the period of recurrences. The Appointment may recur every Day, every ‘Work Day’, Week, ‘Work Week’, Month, Year, or the 1st, 2nd, 3rd, 4th, or last day-of-the-week in the month. The program will adjust the future day or date making allowances for weekends and holidays etc.

Later editing and changing the details of one recurring appointment does not change the details of other appointments in the series. If you try to change the time or duration of the appointment, Productivity Manager will ask if you want to remove that appointment from the series – if you say No, the change is cancelled.

On returning to the Recurring form, you can only increase the number of occurrences, or delete the series.

You will be able to change any appointment you own, except if it is marked as done.

If you are not the Owner you can only view the recurring data.

If an appointment or a group appointment is deleted the Reminder form appears to inform the users involved. The form only provides basic information of the appointment.

Snoozing an appointment: You can snooze an appointment for any period before the start of the appointment, but not beyond it. Snooze may be turned off, and then no reminder will be forthcoming.


Day View

This is the default view of the appointment form when Productivity Manager is opened.

The Day View shows the Appointment form for one day, with the day divided into time slots of half an hour.

Blank fields are available for you to insert appointments.

Appointments not confirmed are shown in Bold font until the user either confirms or rejects the appointment.

If a user rejects an appointment then it is removed from their diary.

Appointments in red are active appointments and remain so until marked done.

When you Click Open after an appointment has been selected, this brings up the Edit Appointment form in order for you to change the details.

The Priority list box offers degrees of urgency (A to C).

If you select a free field, clicking New brings up the New Appointment form with some fields blank and others filled by default. You will be required to fill in the details of the appointment and click the OK button to accept or Cancel to cancel the latest changes.

To delete an Appointment, select it in Day View (note the arrow on the button on the left) and click the Delete Toolbar button (or choose Dairy > Delete Appointment). Appointments that have been marked Done can only be deleted by the Administrator.


Two-day View

Two Days

Click on Diary > Two Day: A window opens showing today's date, and depending on the choice you then select from the drop down list, two days, a week, a work week or a month, appointments will be shown for those days.

To change the view (number of days shown) select Two Day from the drop down list and click Refresh (note that the update does not happen when you click the new choice!)

Your Appointments are shown for the days selected,

The day selected shows in the first pane followed by the next day in the second pane.

Click the New button, for a new appointment. Click the Delete toolbar button to delete the selected appointment (if you are allowed to delete it).

Appointments on the form cannot be edited on the form.

Double-Clicking an appointment will bring up the Edit Appointment form allowing changes to be made by the owner

Click the buttons <<Back and Next>> to move a day in the indicated direction.


Week View & Work Week

Week and Work Week

Click on Diary > Week or Work Week: A window opens showing today's date, and depending on your choice from the drop down list, two days, a week, a work week or a month. Appointments will be shown for those days.

To change the view (number of days shown) select Week (7 days Monday to Sunday) or Work Week (5 days Monday to Friday) from the drop down list and click Refresh (note that the update does not happen when you click the new choice!)

The day selected shows in the appropriate pane.

Your Appointments are shown for the days selected. The selected day has a white background.

Click the New button, for a new appointment. Click the Delete toolbar button to delete the selected appointment (if you are allowed to delete it).

Appointments on the form cannot be edited on the form.

Double-Clicking an appointment will bring up the Edit Appointment form allowing changes to be made by the owner.

Click the picture buttons (<<Back and Next>>) to move a week in the indicated direction.


Month View

Click on Diary > Month: A window opens showing today's date, and depending on your choice from the drop down list, two days, a week, a work week or a month. Appointments will be shown for those days.

To change the view (number of days shown) select Month (42 days) from the drop down list and click Refresh (note that the update does not happen immediately you click the new choice!)

The day selected shows in the pane with the white background. The first day in the form is always a Monday. The view always shows the days preceding the day selected if that day is not a Monday. The days after the end of the month continue until 42 days are displayed. Days outside the selected month are shown with text in grey.

Appointments are shown in an abbreviated format.

Click the New button, for a new appointment. Click the Delete toolbar button to delete the selected appointment (if you are allowed to delete it).

Your Appointments are shown for the days selected. The selected day has a white background.

Appointments on the form cannot be edited directly on the form – Double-Clicking an appointment will bring up the Edit Appointment form allowing changes to be made by the owner.

Click the picture buttons (<<Back and Next>>) to move a month in the indicated direction.


Working with Tasks

Tasks are things that you have been asked to do, or that you ask others to do. The difference between Appointments and Tasks is that Appointments have a specific start time and end time, but Tasks have a deadline. A given Task may produce, and be linked to, several Appointments. You can have group Appointments (invite several co-workers or contacts) but not group Tasks.

You can accept or reject Tasks assigned to you. If you reject a Task you can give a reason.

This chapter contains the following topics:

· Tasks Window

· Create or Edit a Task

· Recurring Tasks


Task Window

Tasks Window

To open the Tasks Window, click Tasks > Open Window. To open a second and subsequent Tasks Window (for example, to view your own tasks in one window and tasks you have assigned in another), click Tasks > New Window.

On the Tasks form you may select to view either your own Tasks or Tasks that you have assigned to other Users.

View tasks by clicking the My Tasks or the Assigned Tasks radio buttons, or other users’ Task Lists.

When viewing assigned Tasks the “Owner” field will be replaced by the “User” field and will show to whom the task was assigned.

To sort by any of the fields, click on the title. To sort in reverse order by the same field, click on the title again. The sorted field is identified by the title text being in bold.

Any task in red indicates the due date has passed and the task has not been done yet.

Tasks assigned by other users that have not been accepted will be shown in Bold until the user accepts them.

Tasks, that are past their due date and are not done, appear on the list even if you have selected other dates, until you have marked it as done.

You may create a new task from a button on the toolbar, or use the pop-up menu

Scroll bars appear when the form is not long enough to cater for all the information.

Linking Tasks to Appointments: You can drag Tasks onto your Appointments list: The Task creates an appointment with data coming from the Task and then opens the new appointment so that you can change it. Grab the button on the left of the Tasks form and drop it on the appropriate Appointment. If you created an appointment independently of a Task and want to link them later, you can still drag the Task button from the Tasks window and drop it on the existing appointment. If you cannot see Tasks and Appointments on screen at the same time, click View > Day Diary / Calendar / Tasks.

If you are on a task and you click Open Task or double click it then the Edit Task form opens with that task’s details showing. (See Next>>)

Click New Task to open the New Task form ready for a new task to be entered. (See Next>>)


Create or Edit a Task

The same dialog box is used both for creating a new Task, and editing an existing one.

Double-click an existing task to show details for that task on the Edit Task form, or

Select New Task from Task Menu and the form opens with all fields blank.

Fill in all the details on the Edit Task form and click the OK button to accept or Cancel to cancel the latest changes

The Activity is used as the default for the Activity of Appointments created from this Task. A Task may in fact require several activities, e.g. setting up a big meeting may require phone calls, e-mails, letters and faxes. If the pre-set Activities do not meet your needs, ask the Administrator to add others.

Accept is automatically ticked if you assign the task to yourself, but becomes unticked if the task is reassigned.

Tasks do not have a Start or End Date; instead they have a Due Date and time.

This Due Date is the date by which the Task has to be completed.

If the Reminder check box has not been ticked then the text box to fill in the time of the reminder is off.

The % Complete text box is an indication as to how far you believe the project is from completion.

The Expected field shows how long the owner (creator) of the Task expects the Task to take.

The Time Used text box will be a calculation of how much time had already been spent on the Task. This is calculated from the Appointments that are linked to the Task. Time spent will always be in hours and minutes, e.g. 33:40.

There are three different levels of Priority, A=High, B=Medium and C=Low.

Assign a task to any other user by selecting someone in Assign To, this task appears on that user’s Task Diary in bold.

The User who created the task will be the Owner of the task.

The other user can Accept or Reject the task and give a reason if rejecting.

The owner can view all tasks that they have assigned to other users in his “Tasks I Created List”, which looks exactly like his Task List except it only shows tasks of which he is the owner, but that are assigned to another user.

Only the Owner can change a Task, the Assigned User can only change Accept, Reject, Reason, % Complete and the Reminder fields.

If a Task is changed then it appears as not Accepted or Rejected in the User’s Diary in Bold and it is treated as a new Task.

When the Assigned User views the Task the changed fields will appear in Bold until he has Accepted or Rejected it.

The two ellipses (…) buttons will open the contact details of the adjacent Contact or Assign to (User).

The Recurrence button will open the Recurrence Form where the User will set recurrences for the task.


Recurring Tasks

If a task is repeated, you can set the number of times it recurs.

The Recurring Form is used to set how often a Task will recur, and may be called from the Add/Edit Task Form.

The Start Date and Time will automatically be taken from the Due Date and Time. If the Start Date changes then the change will carry through to the Due Date for Tasks.

At the bottom of the form the future recurring dates (up to 5) are shown, including the original. You can select as many recurrences as required or fill in the "Recur Until" date, and the other one will be calculated.

The Delete button deletes all future recurrences of the task. Confirmation is asked for.

If you change the details of one recurring task, this changes the details of all future tasks. Confirmation is asked for

You have various choices for the period of recurrences. The Task may recur every Day, every ‘Work Day’, Week, ‘Work Week’, Month, Year, or the 1st, 2nd, 3rd, 4th, or last day-of-the-week in the month. The program will adjust the future day or date making allowances for weekends and holidays etc. For example, you may want to put in a VAT return on the 25th of every 2nd month, but move it to the previous working day if it is not a working day.

On returning to the Recurring form, you can only increase the number of occurrences, or delete the series.

You will be able to change any Task you own, except if it is marked as done.

If you are not the Owner you can only view the recurring data.

Should you as the owner change the time of any recurring Task you will be asked if it affects all future tasks.

If a Task or a group task is deleted the Reminder form appears to inform the users involved. The form only provides basic information of the task.

Snoozing a task: You can snooze a task for any period within the task deadline; not beyond it.

Snooze may be turned off; no reminder will then be forthcoming.


Working with Contacts

Contacts are people outside the company, with whom you deal. You can –and should– attach Notes to contacts giving the content of every interaction with them. When you deal with new people you should add them to the Contacts. Names of Contacts (and co-workers - "Users") will appear in various lists.

This chapter contains the following topics:

· Contacts Window (Address Book) – this is the display of the list of contacts.

· Create or Edit Contacts – this is the dialog box where you edit or create an individual Contact

· Groups – this deals with adding contacts to Groups. A Group may be a Company, a Government Organisation, a Club, a Department in your company, etc. Contacts can belong to many groups.


Contacts List (Address Book)

Contacts Window (Address Book)

<<Previous – Next>>

There are three ways to open an Address Book

  1. Click Contacts > Open Window.
  2. Click Contacts > Open Search.
  3. Click Contacts > New Window Search.

If you did not already have an Address Book window open, all three options behave the same: Productivity Manager displays a new Address Book window and the Search pop-up so that you can select the contacts you want. Your choices will be remembered for your next search. When you click OK, the Address Book starts populating with the selected Contacts.

If you already have an Address Book window open, the options behave as follows:

  1. Open Window – Brings the last-used Address Book window to the front. No search is shown.
  2. Open Search – Brings the last-used Address Book window to the front (as for Open Window) and then opens the Contacts Search form. When you click OK, the last Address Book window is re-used for the results of the new search.
  3. New Window Search – Use this if you want to display more than one Address Book window at the same time. It opens a new Address Book window (instead of using an existing one) and then opens the Contacts Search form. When you click OK, the new Address Book window displays the search results. You may want to restore and move the new window so that you can see the other one as well.

The Contacts Search form displays the results of the previous search, if there was one since you started Productivity Manager. If you want to start a new search instead of modifying the previous one, click Reset.

An Address book displays the records of all the Contacts returned by the Search, or up to 500 if there would have been more. You may stop loading them at any time by pressing Esc, or clicking a Contact, the Stop button, or the Close button (X) once.

The fields shown are Last Name, First Name, Job Title, Tel, Fax, Cell, E-Mail, Private, Locked and Owner.

To select a contact, click on it (or select it with the keyboard as indicated below). Productivity Manager shows an arrow button on the left of the Address Book next to your selection.

To search for other contacts, click the Search button or Contacts > Search.

Type your search criteria (as many as required), select Match All or Match One or More and click OK.

Any match found will appear in the Address Book.

If no match is found click Search again, click Reset to clear criteria, try new criteria and Click OK.

To repopulate the list (either to see changes or because you stopped it too soon) click the Refresh button.

To Edit (change) details for the selected contact, click the Open button, or Contacts > Edit Contact, or double-click the contact (see Next>> for Editing Contacts).

To create a New contact, click the New button or Contacts > New Contact (see Next>> for New Contacts).

To Delete the selected contact, click the Delete button or Contacts > Delete Contact.

After editing, delete, or New, Productivity Manager refreshes the record required (not the whole list).

Anyone can change these entries unless they are locked.

Only their Owner can delete a Contact, and only if that Contact does not yet feature in any Appointments or Notes; if it does then the Owner can make the Contact inactive instead.

If an entry is marked Private only the Owner (and Administrator) can see it.

The Owner is usually the User who created that Contact. Only the Administrator or a High Access User can change a Contact’s Owner.

You can use the keyboard as follows:

  • Arrow up/down to scroll between Contacts
  • Enter = Edit the selected Contact
  • Esc = Stop Refresh
  • Ctrl or PgDn = Activate the List
  • PgUp = Activate the buttons at top (e.g. Search)
  • Ins = Create a New Contact
  • Del = Delete selected Contact

To create an e-mail addressed to the selected contact, or all listed contacts (Productivity Manager will ask you which you want to use), click the button Send E-Mail on the Contacts Window. The first time you try to send e-mail from Productivity Manager on each PC, it will ask you which program you wish to use (Microsoft Outlook, or Other). To change this choice later, use Setup > E-Mail. (see next paragraph for e-mailing a Note)

The New Note button will open a pop-up window allowing you to quickly create one new note and, optionally, e-mail it. The contact for the new note defaults to the contact in the Contacts window, except if you have selected an inactive Contact or User. Because this is a modal (pop-up) window, you must OK the note (or Cancel) before you can work in another window.

The View Notes button opens the Notes window (or, if it is already open, swaps to it) and displays the latest 25 notes for the contact in the Contacts window. This is a child window, so you can click back to the Contacts window without closing it (if it is maximized, use the Window menu, or Restore the windows so that you can see both).

If you tick the checkbox “Current Contact's Notes Only” then, whenever you select a different Contact, the latest 25 notes for this contact will be displayed in the Notes window. If you did not have a Notes window open, one is opened. If you have more than one open, then the program uses one most recently used. The Notes window is a child window, so you can click back to the Contacts window without closing it (if it is maximized, use the Window menu, or Restore the windows so that you can see both).

The Find Duplicates button does a special search for duplicate contacts. This allows you to search for Contacts and Users who appear to be duplicates, either by Last and First Names, Last Name and first Initial of First Name, or Last Name only. When you click on one of a set of possible duplicates, the whole set is highlighted in light yellow. You can then simply drag one of them and drop it onto another:

Dealing with Duplicate Contacts: In Productivity Manager we allow more than one contact with the same name and surname. If they are actually the same person, it is possible to Merge Records using a simple Drag and Drop in the Address Book. Just drag the contact that you want to disappear, onto the contact that must remain. Only blank fields in the target will be replaced by corresponding filled-in ones from the dragged record, so no data in the target will be lost. All notes, appointments, etc associated with the dragged record will be reassigned to the target.


Create/Edit Contacts

Create or Edit Contacts

The same dialog box is used to create new contacts and edit existing ones.

To create a New contact, click the New button or Contacts > New Contact.

Type the details of the new Contact.

Click OK to record. If you Click Cancel, a message box warns that any detail entered will not be saved. Click Yes and the form closes.

To Edit (change) details for an existing contact, open an Address Book, select the contact, and click the Open button, or Contacts > Edit Contact, or double-click the contact. To open an Address Book click Contacts > Open Window (see <<Previous for more details).

Change the details shown in the Edit Contact form.

Click OK

Click Delete to delete a contact if you are its owner. You cannot delete a contact that is already involved in appointments.

Click the Tick box Private for viewing by the Owner only.

Click the tick box Locked to prevent any changes. Only the Owner may edit the record but all Users may view it.

Field names for Contacts can be defined by the Administrator in Setup > Company. Once defined, the names appear in the labels for the set fields at bottom right.

The Contact can be a member of different Groups (see Next>>).


Contacts' Groups

Contacts in Groups

Groups are used to categorise your Address Book entries (users and contacts). A group might be a company, a club or some other organisation, or a Department in your Company. This allows you to search for all the members of a particular Group, e.g. everyone in the Accounts Department, or your company’s contacts at Microsoft.

Each group can have a Primary Member. In the case of a company this might contain the company details (address, telephone number of switchboard, main fax number, etc.). In the case of a club, the Primary Member might be the Chairperson. For a Department it might be the head of the Department. In each case you should create this Contact before any other members of the group.

When you Create or Edit a Contact (see <<Previous) you will see information relating to the Contact’s Group membership at the bottom right of the dialog box.

By default the Contacts Groups button is chosen when the Edit contact or New contact form is first opened – this means that the list shows only the groups of which the Contact is a member.

To add the Contact to another Group, click on the All Groups button: All groups will be shown. Select the group(s) to which the contact belongs.

You can also remove a contact from a Group by unticking that group.

Ticked groups appear first, and then the rest in alphabetical order.

To create a new Group and make the current Contact the Primary Member, click the button New Group. The program will Say: “The Contact will be saved first, and will become the Primary member of the New Group." And ask for a Name for the New Group. Type the name and Click OK, or click Cancel to get out. The program will not create duplicate Groups, so it will complain if the name already exists. In this case look for it in the list of names displayed with the All Groups button (if a group is Private to someone else you will not see it).

To see and edit the list of Groups on the Groups Form, click the button Open Groups. The Groups form will open: Here you can see all the groups that are not private to anyone else, and edit your own. When you create groups you automatically become their Owner, but you can reassign ownership here. You can, if you wish, make your groups Private.

Note that if a Group name is changed here then it changes for all Contacts it has been used for. Click Edit to change a record or New create a new one.

Also on the Groups Form you will find the column Type. This indicates the type of Group, e.g. “Company”, “Club”, “Charity”, “Department”, “Government”, etc. This is useful for sorting all Groups of a particular type together (click on the Group Name heading first to sort, then on the Type heading: Your groups will be sorted by Type and within the same type, by Group Name). This column is left blank if you create a Group using the New Group button on the Create/Edit Contacts form.

The other way to open the Groups form is with Setup > Groups.


Working with Notes

Open Window and New Window

Open Window – Opens a new Notes window if none is open. If one is open, brings last-used one to front.

New Window – Opens a new Notes window.

Search– Allows a search of existing Notes.

New Note, Edit Note, Delete Note

New Note– Creates a new Note.

Edit Note– Edits a Note: only available if a Notes window is open and a Note is selected, and the user logged on is an Administrator.

Delete Note – Deletes a Note: only available if a Notes window is open and a Note is selected, and the user logged on is an Administrator.


Open Notes Window

Notes Window

Open Window

Click Notes > Open Window: If a Notes form is open it will be activated, if not a new Notes form will appear.

Click New: to begin a new note.

Click Search to find an existing note.

Click a column heading to sort the list by that column. Click it again to sort in reverse order.

Click Refresh to redisplay the list.

New Window

Click Notes > New Window to open a new Notes form.

Click New to begin a new note.

Click Search to find an existing note.

Click a column heading to sort the list by that column. Click it again to sort in reverse order.

Click Refresh to redisplay the list.


New Note

New Note / Edit Note / Delete Note

New Note

Click on Notes > New Note to open the Notes form ready for typing.

Click New to begin a new note, ONLY if the previous one is complete as only the Administrator can change a note after it has been completed!

Click Search to find an existing note.

Date + Time and Owner fields are defaulted to today's date and (you) the owner. Change by using the drop down lists.

Contact is selected from a drop down list of contacts.

Type the note below the line then click OK. A blank field is not permitted, a message box allows you to Delete or Cancel. Choose OK to continue or Cancel to clear the Note.

Click Search to open a Search Notes box requiring you to enter criteria for a search.

Click Refresh to sort the list

Edit Note

Available to Administrator only!

Click Notes > Open Window and click the note to be changed.

Click Notes > Edit Note to change the note selected.

Click OK

Delete Note

Available to Administrator only!

Click Notes > Open Window and click the note to be changed.

Click Notes > Delete, select the note to be deleted from the form.

Click OK


Search Notes

Click Notes > Search to open the Search Notes box requiring you to enter criteria for a search.

To clear the criteria from a previous search, click Reset.

You may fill in any or all of the following criteria (blank ones are ignored):

· The range of dates within which the note was created: Start date, end date, or both.

· The Creator of the note (usually you)

· The Contact person to whom the note is attached

· Some text contained in the note you seek.

Click OK.

The criteria are used together, i.e. if you specify dates, a Contact, and text, then you will get only notes within that range of dates, for that contact, containing the specified text. If you do not find what you are looking for, try widening the criteria, e.g. use all contacts, reduce the text, or try different text. Note that searches containing text will take longer than those that do not.

If no match is found a message will appear: “No Notes were found matching your criteria".

If the search is successful then the most recently used Notes Form opens showing those items that meet your search criteria. The search Criteria are shown in the title bar.

Click Close to close the search form.


Working with Resources

Resources are locations and other items (e.g. meeting rooms, overhead projectors etc) that can be booked by having a diary for the "resource", which is treated like another user. The Contacts lists (for example when creating a Group Appointment) can display Contacts, Users and Resources.

Resources cannot have Tasks.

Resources are available 24 hours a day, 7 days a week, including Public Holidays.

Resources > Open Window

This opens the Resources Window. All resources are shown.

The button New is the same as clicking Resources > New Resource

The button Edit is the same as clicking Resources > Edit Resource

Resources > New Resource

Opens the Resources form and creates a line for a new resource.

Fill in the form to create the new Resource.

You may edit other resources of which you are the owner while you are there.

You may change the owner to be someone other than you, but then you will not be able to edit the resource later.

Blank resources are not allowed.

Duplicate names are allowed but not recommended.

A Resource cannot be booked before its Start Date or after its End Date.

Click OK to accept the changes, or Cancel to cancel them

Resources > Edit Resource

Available if a Resources window is open and a Resource is selected

Change the required detail and click OK.

You may edit other resources of which you are the owner while you are there.

If you change the name of a resource the new name will appear for everything that uses the resource, even Appointments done in the past. Create a new Resource rather than change an old one that has been replaced.

Resources > Delete Resource

This cannot be done once a Resource has been used.

If a Resource has been used but is not available any more, then it must be given an End Date instead.

A Resource cannot be booked (with a new appointment) after its End Date, but setting the End Date does not affect existing appointments.


Reports & Graphs

Reports and Graphs: The Reports Menu (Alt + R)

<<Previous – Next>>

The Reports Menu contains both Reports and Charts (Graphs). In Preview, Reports and Graphs allow you to Drilldown to more detailed data by double-clicking on the item concerned. There are also a number of features you can change, such as the Font and size, margins, printer, and zoom. Click here (or Next>>) for more details.

The Reports Menu has the following sub-menus:

Printing sub-menu

Activities sub-menu

Tasks sub-menu

Diary sub-menu

Meetings, Bookings and Billing sub-menu

Miscellaneous sub-menu

Telephone sub-menu

All items that end in ellipses (...) lead to a search form where you can select the criteria for your report or chart, and then Preview it (view on screen) or print the entire report immediately. Items without ellipses have no search criteria and display immediately in Preview. Users with a security level below High Access will not have access to all features.

Printing (sub-menu)

Going out or away? Print out your Appointments…

When do I use this report?

This shows your appointments for the selected period, including whom you are meeting, their addresses, contact details, dates and time of the appointments, etc. This helps you take all this info with you so you have all you need when you are away from your computer. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

For a selected user (or all), and/or dates, this report lists their appointments together with the location and details of any Contacts (or Users) who are also invited to the meeting. Each day starts on a new page. Users with a security level of Medium Access and below are not allowed to view their own past appointments. Medium Access Users can see those of their subordinates.

My Notes for Selected Contacts…

When do I use this report?

Use this report to print out the notes you have made for given Contacts, if you like over a selected period. Salient contact details of the Contact (comment, phone, cell phone and e-mail address) are also listed. This helps you take all this info with you so you have all you need when you are away from your computer. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Contacts in a Group…

When do I use this report?

Use this report to print out the contact details for Contacts in a selected Group. The Contact’s name, phone, cell phone and e-mail address are listed. This helps you take all this info with you so you have all you need when you are away from your computer. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

The report is similar to the report “Who do we know in a Group/Company? List of Contacts…” below, but is more compact and prints out in Portrait orientation.

Activities (sub-menu)

Bar Graph of Activities per Day…

When do I use this report?

This graph shows you which Activities you did on which day/s during whatever time period you select. This shows you when you do or don’t do certain Activities and facilitates better planning and co-ordination. This graph is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location! Also, move your mouse over the graph and watch as the exact date and time appear in the bottom left hand corner status bar!

This Horizontal Bar Graph shows a year-planner-type view of activities undertaken and planned, drawn from Appointments for the period selected. This is especially useful for Leave (if you have set this up as an Activity). You can drill down to the user’s timesheet for a specific Activity by double-clicking on that Activity, for a specific day by double-clicking on that day, or for both by double-clicking in the body of the graph on the day and Activity required.

Activities Pie Chart (without travel)…

Activities Pie Chart (with travel)…

Activities Pie Chart (travel only)…

When do I use these reports?

Use these pie charts to show you a summary of the Activities undertaken by a user. This helps with analysing at a glance where the user’s efforts are being concentrated and helps identify problem areas and re-allocate the users time more efficiently and productively. This chart is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

To make it easier to locate specific users, you can first choose a group: Only the users in that group will show. Then select the users whose charts you want to see. Each chart shows a pie chart of an employee's time split according to their Activities, drawn from all Appointments for the period selected. There are three variations: Excluding Travel time from the total Appointment time, including it, and showing Travel time only. The following statistics appear in the Legend: Key (symbol and Activity letter), Time (total for Activity), % (percentage of total time occupied by that activity), No.(number of Appointments – note that when you edit an Appointment you can set a number greater than one), Avg (average time per Appointment), Activity (description). On the chart, the Activity letter is shown only for activities occupying 1% or more of the total time. You can drill down to the user’s timesheet for a specific Activity for the period, by double-clicking on that Activity in the Legend or the Pie.

Activities Group Pie Chart (without travel)…

Activities Group Pie Chart (with travel)…

Activities Group Pie Chart (travel only)…

When do I use these reports?

Use these Group Pie charts to show you a summary of the Activities undertaken by a Group of Users. This can be compared with the corresponding single-user charts above in order to see how well each user’s time allocation matches that of the group. This chart is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

You can either select a named Group (only the users in that group will show), or just tick off users from the list of all users. You must select at least two users, otherwise it is not a Group Pie and you should user the charts above (if you have an appropriate security level). Each chart shows a Pie chart of the time of all the selected users, split according to their Activities, drawn from all Appointments for the period selected. There are three variations: Excluding Travel time from the total Appointment time, including it, and showing Travel time only. The following statistics appear in the Legend: Key (symbol and Activity letter), Time (total for Activity), % (percentage of total time occupied by that activity), No.(number of Appointments – note that when you edit an Appointment you can set a number greater than one), Avg (average time per Appointment), Activity (description). On the chart, the Activity letter is shown only for activities occupying 1% or more of the total time. You can drill down to the timesheet for the selected users for a specific Activity for the period, by double-clicking on that Activity in the Legend or the Group Pie.

Activities Breakdown…

When do I use this report?

This report shows all the Activities undertaken by a user, including the locations and time spent. This offers similar information to the pie charts above, except in a different format. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

The report starts a new page per User and groups by Activity. Times are totalled from the Appointments table and grouped by Activity, Priority, and location. This report does not include Travel Time.

<Top of Page

Tasks (sub-menu)

Detailed Tasks and Linked Appointments…

When do I use this report?

This report shows you all appointments created from a task for the specified time period. Tasks are optionally automatically created into appointments by dragging and dropping the selected task into your diary. By doing this you can track the total time spent on that task, as it has been made into an appointment with a specified start and end time. This Report uses the owner of the task from which the Appointment originated. This is by design so that you can see what has happened to all the Tasks which you have created. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

This report gives the details of the Appointments making up each Task that has its deadline within the (optional) selected period for the (optional) User. This is similar to the Diary > Detailed Appointment Listings (below), but gives a breakdown per Task like an expanded version of the Diary > Summary > Tasks linked to appointments (below).

Task Summary…

When do I use this report?

This report shows the total time a user spent doing certain tasks. For example, one task may entail completing several different appointments. By dragging and dropping each task into your diary and automatically creating an appointment for each one, these appointments are grouped together and linked to the task. By doing this, you can draw this report that will show the total appointment time/s that make up each task. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Displays a Summary of Timesheet data from the Appointments Table coupled to Tasks. Only Appointments coupled to Tasks are shown. The report gives the Task number, description, deadline, done/not done, total time and number of appointments for the (optional) selected period and (optional) User. Each User’s results are shown on a separate page.

<Top of Page

Diary (sub-menu)

Shows completed Appointments…

When do I use this report?

This shows all completed appointments by date. It is useful to view the times spent per day. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Also called a “Timesheet”, this report gives most of the information in the Appointments Table. Medium Access Users can open this report for all users or just one. Start and end Dates are recommended. The report is be grouped by users and shows each user's appointments starting on a new page. Total time and travel time is shown for each appointment and the totals for each day.

Activities Summary > View the Activities attached to a User …

When do I use this report?

This shows a detailed summary listing of all Activities undertaken including total times, total numbers of appointments and which ones are done and not done. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Displays a Summary of Timesheet data from the Appointments Table, giving total time and number of appointments per activity done/not done for the (optional) selected period and (optional) User. Each User’s results are shown on a separate page.

Activities Summary > Appointment ratio, Private vs. Company…

When do I use this report?

This report shows how many private versus company appointments a user has undertaken. At a glance this helps assess if there is a problem with too much time being spent on personal appointments. These are typically any appointments that are not for company business purposes. All personal appointments must be marked “private” on the “Appointment” form. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Displays a Summary of Timesheet data from the Appointments Table, giving total time and number of appointments per activity grouped into Private and Company for the (optional) selected period and (optional) User. Each User’s results are shown on a separate page.

Summary > View the Activities attached to a Contact …

When do I use this report?

This report shows all the Activities a user has undertaken with a particular contact, including total hours and total number of appointments. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

Displays a Summary of Timesheet data (Detailed Appointment Listings) from the Appointments Table, giving total time and number of appointments per activity for the (optional) selected period and (optional) Contact or all Contacts. Each Contact’s results are shown on a separate page.

Time Periods per day (Graph)…

When do I use this report?

This shows during which time periods a user is working. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location! Also, move your mouse over the graph and watch as the exact date and time appear in the bottom left hand corner status bar!

This Vertical Bar Graph Shows times logged against the time of day, with blanks where time was not logged. This shows whether users are working at the required time of day. Green is used for appointments not marked “Private?” and red for appointments marked “Private?”. Dark red and green are used for appointments marked “Done” (these would appear on the Timesheet) and a lighter shade for those not marked “Done”. You can drill down to the user’s timesheet for a specific day by double-clicking on that day.

Total Appointment Times per day (Graph)…

When do I use this report?

This shows the total hours worked per day during the selected period. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location! Also, move your mouse over the graph and watch as the exact date and time appear in the bottom left hand corner status bar!

This Vertical Bar Graph Shows times logged per day, with different Appointments (Timesheet Entries) stacked. This shows whether users are putting in the required amount of time, and how much overtime. Dark magenta shows appointments marked “Done” (these would appear on the Timesheet) and a lighter shade shows those not marked “Done”. You can drill down to the user’s timesheet for a specific day by double-clicking on that day.

<Top of Page

Meetings, Bookings and Billing (sub-menu)

Appointments not Linked to Tasks…

When do I use this report?

This report shows appointments in the diary that have not been linked to tasks. Tasks for which you want to invoice, should be linked to appointments that will show the time taken, and to the Contact (or Company) that you want to bill. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location.

For a selected user (or all), and/or dates, this report lists all their appointments that are not linked to Tasks. If you are linking Appointments to Tasks in order to find out how much time was spent on Tasks (recommended), or to bill your Contacts (see next report below), then this is an Exceptions Report showing which Appointments have not been linked as required.

Times linked to Contacts/Tasks…

When do I use this report?

This report shows the time taken on Appointments working on Tasks for a specific or all Contacts that you want to invoice for a period. These Appointments could be for the past or the future. This report only shows Appointments that have been linked to Tasks. The linked Contact, if any, is shown in the first column.

For selected Users, and/or a selected contact (or all), this report totals time spent on appointments during the selected period, totalled by Activity. If you are linking Appointments to Tasks in order to find out how much time was spent on Tasks (recommended), or to bill your Contacts for time spent, then this gives you the totals involved (to find out which Appointments have not been linked as required, run the report directly above).

User/Resource Appointments With a Contact …

When do I use this report?

This shows all your appointments with a contact, and all the appointments between a contact and a resource. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

You can select any or all Resources and/or Users, and a specific Contact or all Contacts. The report starts a new page for each Resource or User and gives a subheading with totals per Contact, and within each Contact by date. The detail gives start and end times and total time (including travel), together with the activity, location and detail for each appointment. Appointments Accepted and Pending (not rejected) are shown.

Resource Usage and Cost…

When do I use this report?

This shows how often a certain resource/user has been used by a particular contact. This report can be attached to a client invoice as it shows all the dates and related costs incurred when they used this particular resource or user. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

You can select any or all Resources and/or Users, and a specific Contact or all Contacts. The report starts a new page for each Contact and gives a subheading with totals per Resource or User, and within each Resource or User by date. The detail gives start and end times and total time (including travel), together with the activity, location and detail for each appointment. Appointments Accepted and Pending (not rejected) are shown.

Resources Pie Chart (Revenue)…

When do I use this report?

This pie chart shows what revenue was earned from the selected user/resource (a room, laptop, projector, etc.) This chart is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

For this pie chart you can select Users and/or Resources. One page is produced, showing the split between the Users/Resources (a pie slice per User/Resource) based on revenue produced, as entered into the “Groups” are of each appointment in the “Cost” column. Where no costs have been entered, those Users and/or Resources will not show on the chart. Appointments Accepted and Pending (not rejected) are used.

Resources Pie Chart (Usage)…

When do I use this report?

This pie chart shows the usage or how often a particular resource was used during the selected period. This helps you see which resources are being used the most, and which ones are being under utilised. This assists to plan better, and adjust your marketing, pricing or the way you do your bookings, to achieve an improved overall usage balance. This chart is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

For this pie chart you can select Users and/or Resources. One page is produced, showing the split between the Users/Resources (a pie slice per User/Resource) based on time booked, derived from Appointment times including travel for Appointments Accepted and Pending.

<Top of Page

Miscellaneous (sub-menu)

Where is everyone?…

When do I use this report?

This shows the whereabouts of all users at the time of generating the report only. The whereabouts of users is only visible if those users have logged this information when making an appointment, otherwise they would normally be at their desk. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

This will show a User where the company’s users currently are and what they are doing, based on their Appointments.

Those behind on Timesheets

When do I use this report?

This report is only applicable to those users that have a mandatory timesheet (diary) hours commitment and have to input how all their time at work is utilised. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

This report gives a list of all users whose timesheets have not been done up to the previous working day. These will be the users who are locked out of parts of the system until they mark the required number of hours as Done. The reports also shows the date up to which their times are complete, and the number of days behind.

Who reports to whom? Hierarchy …

When do I use this report?

This shows the different security levels among users, their job designations, their start dates, and from when their timesheets or hours requirements require attention. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

This “Hierarchy Report” uses the Users’ "Supervisor" field (set up by the Administrator in Setup > Users) to build up a list giving the name, job title, and security level for each Supervisor and those who report to them. This is similar to an Organisational Chart but without the graphics.

Who do we know in a Group/Company? List of Contacts…

When do I use this report?

This report shows all the people your company has listed that belong to a specific company or group. It shows all their contact details and gives an overview as to whom your company deals with in that particular group or company. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

This is a basic report giving details of contacts in the database. Supervisors may search for members of a certain group, Contacts in a certain City, Contacts marked "Private" by all Users or specific users etc. If a Supervisor just specifies a group then all Contacts in that group will be listed.

How much Time was Spent Entering Tasks?…

When do I use this report?

This report shows you how much time a user spent entering tasks into Productivity Manager. A unit of time is entered by your administrator based on the estimated length of time it takes to enter a task. If the administrator has entered 2 minutes per task, then the report will show the no. of tasks entered multiplied by the number of minutes allocated. This figure can then be deducted from or taken into account when calculating how a user has spent his time. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

On the basis of the number of appointments and tasks entered, this report estimates the person's overhead in terms of running the program. A standard time per entry is used (set in Setup > Company by the Administrator).

<Top of Page

Telephone (sub-menu)

Telephone Usage...

When do I use this report?

This report shows a history of all logged incoming and outgoing calls, including their dates, amount of time taken, and descriptions for each. This helps you analyse the call trends and patterns, which relate to productivity. This report is printable, can be e-mailed as a picture, and greater detail can be viewed by double clicking on the desired location!

List of Telephone calls (Activities A and B) for the (optional) selected period and (optional) User categorized as Incoming or Outgoing, Company or Private.


Preview Reports and Graphs

Report and Graph Preview

When you click an item on the Reports or Graphs menus, it brings up the appropriate search form with buttons to Preview and Print or, if a search is not applicable (for example, “Where are my Staff?”), then it will Preview the report immediately.

In Preview, Reports and Graphs allow you to Drilldown to more detailed data: Double-click on the item concerned. To see where the drilldown goes, point at an area of the report or graph with your mouse and then look on the status bar (bottom left of main window). Generally speaking, summary reports and graphs drill down to detailed reports, and detailed reports drill down to the exact Appointment or User concerned. You may or may not be able to edit this, depending on your Security Level and whether the item is marked “done”.

The Preview Toolbar

Set Font – Allows you to set the font, font size, bold, and italics for the body of the document (10 pt Arial Normal by default). Extra detail (e.g. on the Daily Appointments and Contacts Report) will be 2 pt smaller. Page Titles and Group Headings will scale up or down accordingly.

Margins and Printer – This lets you change the left, right, top and bottom margins (in mm). You can force A4 paper (many systems are set to the default Windows Regional Setting of Language = English (United States), which causes printers to default to US Letter paper size. Forcing A4 paper means that this printer setting will be ignored).

Print with Options... – This allows you to print to a printer other than the default, or just certain pages (e.g. 2-4). If not all pages have been previewed yet the program will not know how many pages there are, and will present “1-999” for “All” – it will however stop printing at the last page! You cannot change the report’s orientation: It is fixed as either Landscape or Portrait as previewed.

Print All Immediately – This prints all pages of the report or graph to the default printer without asking for confirmation.

Custom Zoom – Asks you for the percentage to which to zoom. Type it with or without a “%” sign, e.g. 75 or 75%. This will be remembered for later use.

Zoom In (+) / Zoom Out (–) – Redraws, increasing or decreasing the zoom by 20%.

Redraw – You can force a redraw of the preview using this button. Most changes that require a redraw, such as a font, margin, or printer change, will cause an automatic redraw.

Zoom Combo Box – Here you can either type a zoom percentage (with or without the “%” sign) and press Enter or click Redraw. Alternately, click the downward-pointing triangle and select a pre-set zoom percentage from the list.

<<Back – Preview the previous page.

Next >> – Preview the following page.

Close – Exit the preview. The search form will remember your last search in case you want to run the last report or graph again.

<Top of Page

E-mailing Reports and Graphs

You can copy a report or graph to the clipboard by using Edit > Copy (or clicking the Copy Toolbar Button) while in Preview.

You can then paste the picture of the report or graph into most word-processing programs and attach the resulting document to an e-mail, or paste directly into an HTML or rich text e-mail.

Note that what you are pasting is a picture, not text that can (for example) be pulled into a spreadsheet and used in calculations. The resolution (and file size) of the picture will depend on the zoom percentage used. A zoom of 75% produces a legible (and fairly small) picture using a 10 pt font size. Increase the zoom for greater resolution.

<Top of Page


Working with Contacts

Reservations


Working with Contacts

Introduction to Reservations

There are two parties involved in the Reservations process:

· Reservation Requestors

· Reservation Suppliers

Reservation Requestors

A requestor is anybody sending a Reservation Request via Productivity Manager. Requestors are given an easy to use interface to specify basic information about the reservation. You can then search for Reservation Suppliers based on any type of requirement eg. Game Lodge or Golf. A list of suppliers matching the criteria will then be displayed. Now simply tick the Suppliers that you would like to send a request to and click ‘Send’. An e-mail will be sent to each of the suppliers by Replicator. Not all suppliers are subscribers to Reservations and therefore your request may not be handled automatically.

Reservation Suppliers

A supplier is any company with a Contact Type of ‘Reservation Supplier’ in your Address Book. These companies are supplied by Stingray Holdings Ltd when you subscribe to Reservations. Suppliers belong to specific groups depending on what services they offer eg. Accommodation, Conference Venues. As a supplier you can create Resources in PM to represent what you offer for Reservations eg. Room 1, Penthouse, Conference Hall 1. You can then specify facilities offered by each Resource, maximum capacity, work hours etc. Prices can be created for Resources. A Resource can belong to several Prices and a Price can refer to several Resources. When processing Requests, PM matches facilities and capacity to find a suitable resource. Once a list of resources is found, PM cycles through the list looking at availability and valid prices. The cheapest available resource is then Provisionally Booked or a Quote generated (depending on the request) and sent back to the Requestor.

The Recon User

Before Reservations can be used the Administrator must select a Recon User on the Company screen. The Recon User is the user that will be responsible the running of the system and for handling possible conflicts that can occur when processing Reservation Requests. Tasks are created for the Recon User if conflicts occur. The Recon User will be assigned as the owner of all tasks created during reservations. To select a recon user:

1. Log on as Administrator.

2. Click Setup>Company

3. Select a User from the Recon User drop-down list.

4. Click Save.


FAQ

Frequently-Asked Questions

An Appointment that I marked “Done” is no longer marked done, and is now appearing in red in the Day Diary. Why?

The Administrator, or a User with a Security Level of High Access, has probably edited the appointment. In this case the “done” flag is removed so that you have a warning that the appointment has been changed. It will appear in red if it is overdue and not marked done. Only the Owner can mark an appointment as done. To find out who changed the “done” appointment, and when, edit the appointment again and look at “Modified by” and “Modified On”. Editing Appointments…


Glossary

Glossary and Important Concepts

<<Previous – Introduction>>

Active Window: The window that has the focus (was clicked on last). In the case of a Child Window inside the main program window, its title bar is the same colour as that of the active program. All open Child Windows are listed in the Window Menu and can be activated from there.

Administrator: A login name with special rights. Can change things other Users cannot, but cannot function as an ordinary User with Tasks, Appointments, etc. See Users.

Appointments – see Diary (below).

Calendar: The window shows one to twelve months. Double-click a date on the calendar to open your Diary for that day.

Contacts: These are people outside the company, with whom you deal. You can -and should- attach Notes to contacts giving the content of every interaction with them. When you deal with new people you should add them to the Contacts. Names of Contacts (and co-workers - "Users") will appear in various lists.

CSV File A text file containing data items separated by commas (extension CSV). Can be written by programs such as Microsoft Excel and Maximizer, and exported by Productivity Manager. If it has column headings, can be imported into Productivity Manager.

Dialog Box: A type of window that pops up over other windows. You cannot use another window of the program (including the Main Window and its Menu and Toolbar) while a Dialog Box is open. Use Ctrl+C to Copy and Ctrl+V to Paste in a Dialog box. Most Dialog boxes have OK and Cancel buttons. Examples in Productivity Manager include the various Search forms, New Appointment, Edit Task, etc.

Diary: This is a list of your Appointments, which you can create and edit individually. Various views are available, ranging from a single day to a full month. Appointments that you mark as done form your Timesheet. You have to mark appointments as done, up to the number of hours that you are required to work, before you will be allowed to proceed to the next day's work.

Exit (close) button
at the top right-hand corner of a program window or a dialog box. Ends the program or cancels the dialog box.

Landscape Printing where the lines of print run parallel to the long side of the paper. Compare with Portrait.

Maximize button
near the top right-hand corner of a window. Maximizes the window to full screen size.

Menu Bar directly under the Title Bar at the top of the program window, this contains the menus you can use in the active window. Each menu contains commands that relate to the menu name; e.g. the Help menu contains commands for getting help.

Minimize button
near the top right-hand corner of a window. Reduces the window to an icon (a Minimized program still appears on the Windows Task Bar, a Minimized child window still appears on the program’s Window Menu).

Portrait Printing where the lines of print run parallel to the short side of the paper. Compare with Landscape.

Resources: These are items available to you for business use. Examples include the Boardroom, meeting rooms, overhead projectors, and vehicles. When you set up an Appointment you can book available resources for the meeting in the same way as you invite users and contacts. Your Administrator should set up the Resources.

Restore button
near the top right-hand corner of a window. Restores the window to a size less than full screen ("Normal") size. In this state the window can be re-sized by dragging corners or edges, and moved around the screen by dragging the Title Bar.

Run: To run a program, either:

§ Click Windows Start > Run and enter the file name; or

§ Double-click “My Computer” on the Desktop, locate the file, then double-click it; or.

§ Run Windows Explorer (typically from Windows Start > Programs > Accessories), locate the file, then double-click it.

Setup the program (Setup.exe) used to install Productivity Manager.

Supervisor: When Users are set up, each User can be allocated a “supervisor”, their immediate superior. The Hierarchy report (“Who reports to Whom”) is worked out by linking each user to their supervisor. Users with a security level of Manager have rights to view and edit information regarding their subordinates but not other users.

Tasks: Tasks can be assigned to you, or that you can assign them to yourself or other Users. The difference between Appointments and Tasks is that Appointments have a specific start time and end time, but Tasks have (at most) a deadline. A given Task may produce, and be linked to, several Appointments. You can have group Appointments (invite several co-workers or contacts) but not group Tasks.

Text (ASCII) file any file that can be edited with text file editors such as Windows Notepad or Write without corrupting the file. Contains no special characters or control codes.

Timesheet – Appointments completed (marked Done) – see Diary.

Title Bar coloured line at the top of windows and dialog boxes: Displays the name of the program or dialog box, and often the names of open files. Usually bears three buttons (Minimize, Maximize/Restore, and Exit) at top right.

Toolbar directly under the Menu Bar and in the Preview Window, contains Toolbar Buttons. Point at a Toolbar button and wait a second and a ToolTip will appear explaining what the button does. Click the button to make the action take place.

Users: These are you and your co-workers who use Productivity Manager. Each user is allocated a Security Level of Low, Medium, or High Access, depending on their level in the company and what they are allowed to do in Productivity Manager. Your Administrator should set up the Users. Also see ”Supervisor”.

Window: A rectangular area of the screen with “bevelled” edges and a coloured Title Bar. Except in the case of Dialog Boxes, restored (normal) Windows can be re-sized by dragging a corner or an edge. Windows can be repositioned by dragging the title bar.